data:extend(
{


  {
    type = "technology",
    name = "tele-logistics-mk1",
    icon = "__Telelogistics__/graphics/technology/logistics-mk1.png",
    effects =
    {
		{
        type = "unlock-recipe",
        recipe = "tele-inserter-mk1"
		}
    },
	prerequisites = {"logistics-3"},
    unit =
    {
      count = 100,
      ingredients =
      {
        {"science-pack-1", 1},
        {"science-pack-2", 1},
		{"science-pack-3", 1}
      },
      time = 20
    },
    order = "a-f-c",
  },
  
  
  {
    type = "technology",
    name = "tele-logistics-mk2",
    icon = "__Telelogistics__/graphics/technology/logistics-mk2.png",
    effects =
    {
		{
        type = "unlock-recipe",
        recipe = "tele-inserter-mk2"
		},
		{
		type = "unlock-recipe",
        recipe = "tele-chest-mk1"
		}
    },
	prerequisites = {"tele-logistics-mk1"},
    unit =
    {
      count = 120,
      ingredients =
      {
        {"science-pack-1", 1},
        {"science-pack-2", 1},
		{"science-pack-3", 1}
      },
      time = 20
    },
    order = "a-f-c",
  },
  
  
  
    {
    type = "technology",
    name = "tele-logistics-mk3",
    icon = "__Telelogistics__/graphics/technology/logistics-mk3.png",
    effects =
    {
		{
        type = "unlock-recipe",
        recipe = "tele-inserter-mk3"
		},
		{
		type = "unlock-recipe",
        recipe = "tele-chest-mk2"
		}
    },
	prerequisites = {"tele-logistics-mk2"},
    unit =
    {
      count = 140,
      ingredients =
      {
        {"science-pack-1", 1},
        {"science-pack-2", 1},
		{"science-pack-3", 1}
      },
      time = 20
    },
    order = "a-f-c",
  },
    {
    type = "technology",
    name = "tele-logistics-mk4",
    icon = "__Telelogistics__/graphics/technology/logistics-mk4.png",
    effects =
    {
		{
        type = "unlock-recipe",
        recipe = "tele-inserter-mk4"
		},
		{
		type = "unlock-recipe",
        recipe = "tele-chest-mk3"
		}
    },
	prerequisites = {"tele-logistics-mk3"},
    unit =
    {
      count = 160,
      ingredients =
      {
        {"science-pack-1", 1},
        {"science-pack-2", 1},
		{"science-pack-3", 1}
      },
      time = 20
    },
    order = "a-f-c",
  },
   {
    type = "technology",
    name = "teleporter",
    icon = "__Telelogistics__/graphics/technology/teleport.png",
    effects =
    {
		{
		type = "unlock-recipe",
        recipe = "teleporter"
		}
    },
	prerequisites = {"tele-logistics-mk1"},
    unit =
    {
      count = 250,
      ingredients =
      {
        {"science-pack-1", 1},
        {"science-pack-2", 1},
		{"science-pack-3", 1}
      },
      time = 20
    },
    order = "a-f-c",
  }


}
)