require "defines"
require "filternames"



test_debug = false

white = {r = 1, g = 1, b = 1}
red = {r = 1, g = 0, b = 0}
green = {r = 0, g = 1, b = 0}
blue = {r = 0, g = 0, b = 1}
yellow = {r = 1, g = 1, b = 0}

teleinsnames = {"tele-inserter-mk1","tele-inserter-mk2","tele-inserter-mk3","tele-inserter-mk4"}

telechestnames = {"tele-chest-mk1","tele-chest-mk2","tele-chest-mk3"}

maxconnections = {1,2,3,4}
telespeeds = {10,8,6,4}

telenames = {"tele-inserter-mk1","tele-inserter-mk2","tele-inserter-mk3","tele-inserter-mk4", "tele-chest-mk1","tele-chest-mk2","tele-chest-mk3"}
			

game.oninit(function()
initialization()

compatibility_function_1()
compatibility_function_2()
compatibility_function_3()
--game.player.print("on init")		
 end)
 
game.onload (function()
initialization()
compatibility_function_1()
compatibility_function_2()
compatibility_function_3()
--game.player.print("on load")	
end)

game.onevent(defines.events.onbuiltentity, function(event) 

for i=1, #teleinsnames, 1 do
	
	if event.createdentity.name == teleinsnames[i] then
		glob.teleins[#glob.teleins+1] = event.createdentity
		glob.teleins.direction[#glob.teleins] = ""										
		glob.teleins.connections[#glob.teleins] = {}
		glob.teleins.filter[#glob.teleins] = {}	
		glob.teledistance[#glob.teleins] = 0
		glob.teleins[#glob.teleins].active = false
		glob.desiredname[#glob.teleins] = ""	
	end

end	

for i=1, #telechestnames, 1 do
	
	if event.createdentity.name == telechestnames[i] then
		glob.teleins[#glob.teleins+1] = event.createdentity
		glob.teleins.direction[#glob.teleins] = ""										
		glob.teleins.connections[#glob.teleins] = {}
		glob.teleins.filter[#glob.teleins] = {}
		glob.teledistance[#glob.teleins] = 0
		glob.teleins[#glob.teleins].active = false	
		glob.desiredname[#glob.teleins] = ""	
	end

end	


		local x1,y1
		x1, y1 = string.find(event.createdentity.name, "teleporter")
		if x1 ~= nil then
			local donotbuild = false
			for k, teleporter in ipairs(glob.teleporter) do
				if teleporter.valid then
					
					--if event.createdentity.position.x == glob.teleporter[k].position.x and event.createdentity.position.y == glob.teleporter[k].position.y then
					--	donotbuild = true
					--end
					for i=-3, 3, 0.5 do
						for j=-1.5, 1.5, 0.5 do
							if event.createdentity.position.x+i == glob.teleporter[k].position.x and event.createdentity.position.y+j == glob.teleporter[k].position.y then
								donotbuild = true
							end
						end
					end	
	
				end
			end
			
			for i=-1.5, 1.5, 0.5 do
				for j=0, 1.5, 0.5 do
					if game.gettile(event.createdentity.position.x+i, event.createdentity.position.y+j).name == "water" or game.gettile(event.createdentity.position.x+i, event.createdentity.position.y+j).name == "deepwater" then
						donotbuild = true
					end
				end
			end	
			
			if donotbuild == false then
				glob.teleporter[#glob.teleporter+1] = event.createdentity
				local name = "Teleporter"
				name = name .. "-" .. #glob.teleporter
				glob.teleporter.name[#glob.teleporter] = name
				glob.telepoertationpower[#glob.teleporter] = 0
				--game.player.print(name)
			else
				event.createdentity.destroy()
				game.player.insert({name="teleporter",count=1})
			end
		

		end
		
		
		
	--game.player.print("#glob.teleins " .. #glob.teleins)
end)


game.onevent(defines.events.onplayermineditem, function(event)

	for i=1, #telenames, 1 do
	
		--local x1,y1,x2,y2,x3,y3,x4,y4,x5,y5,x6,y6
		--x1, y1 = string.find(event.itemstack.name, "mk1")
		--x2, y2 = string.find(event.itemstack.name, "mk2")	
		--x3, y3 = string.find(event.itemstack.name, "mk3")		
		--x4, y4 = string.find(event.itemstack.name, "mk4")		
		--x5, y5 = string.find(event.itemstack.name, "chest")		
		--x6, y6 = string.find(event.itemstack.name, "inserter")
			
		--if (x1 ~= nil or x2 ~= nil or x3 ~= nil or x4 ~= nil) and (x5 ~= nil or x6 ~= nil) then
	
	
		if event.itemstack.name == telenames[i] then
			
			
			
			for k, teleins in ipairs(glob.teleins) do
				if not teleins.valid then
					
					--[[for kk, teleins in ipairs(glob.teleins) do
						--if teleins.valid then
							
							--for j=1, #glob.teleins.connections[kk], 1 do
							
								--if glob.teleins.connections[kk][j].position.x == glob.teleins.position.x and glob.teleins.connections[kk][j].position.y == glob.teleins.position.y then
								--	table.remove(glob.teleins.connections[kk], jj)
								--	game.player.print("znalazlem cos jako cos zdechlo")
								--end
								
								--if not glob.teleins.connections[kk][j].valid then 
								--	table.remove(glob.teleins.connections[kk], jj)
								--	game.player.print("znalazlem cos jako cos zdechlo")
								--end

							
							--end
							
						--end
					end]]--

					if #glob.teleins.connections[k] > 0 then
						--game.player.print("max  " .. #glob.teleins.connections[k])
						for j=1, #glob.teleins.connections[k], 1 do
							--game.player.print("j " .. j)
							for kk, teleins in ipairs(glob.teleins) do
								if teleins.valid then	
									
									if glob.teleins[kk].position.x == glob.teleins.connections[k][j].position.x and glob.teleins[kk].position.y == glob.teleins.connections[k][j].position.y then
										--game.player.print("znalazlem polaczenie")
										
										local j2=0
										local k2 =0
										for jj=1, #glob.teleins.connections[kk], 1 do
											--if glob.teleins.connections[kk][jj].position.x == event.itemstack.position.x then
											--	game.player.print("wiem co usunac")
											--end
											if not glob.teleins.connections[kk][jj].valid then
												--game.player.print("wiem co usunac not valid "  .. jj .. " at " .. kk .. " dev no")
												--table.remove(glob.teleins.connections[kk], jj)
												j2 = jj
												k2 = kk
												
											end
											
										end
										table.remove(glob.teleins.connections[k2], j2)
										--game.player.print("#glob.teleins.connections[kk]  " .. #glob.teleins.connections[kk])
										if #glob.teleins.connections[kk] == 0 then	glob.teleins.direction[kk] = ""	end
										
										if glob.menuteledevicenumber == k2 then -- usun menu jesli masz otwarty inpud device i usuwasz jeden z jego outputow bo inaczej zle odswierza.
											if game.player.gui.left.menu_tele ~= nil then	
												game.player.gui.left.menu_tele.destroy()
											end
										end
										
										
									end
									
								end
							end
							
						end
					end	
					
					if glob.menuteledevicenumber == k then -- jesli usunales ten device co masz otwarte w nim menu to usun menu
						if game.player.gui.left.menu_tele ~= nil then	
							game.player.gui.left.menu_tele.destroy()
						end
					end
					
					
					
					
					
					if glob.menuteledevicenumber ~= 0 then
						if k < glob.menuteledevicenumber then
							glob.menuteledevicenumber = glob.menuteledevicenumber - 1
						end
					end
					
					table.remove(glob.teleins, k)
					table.remove(glob.teleins.direction, k)
					table.remove(glob.teleins.connections, k)
					table.remove(glob.teleins.filter, k)	
					table.remove(glob.teledistance, k)	
					table.remove(glob.desiredname, k)
				end
			end
		end
	end
	
	
	
		local x1,y1
		x1, y1 = string.find(event.itemstack.name, "teleporter")
		if x1 ~= nil then
			for k, teleporter in ipairs(glob.teleporter) do
				if not teleporter.valid then
					if game.player.gui.left.menu_teleporter ~= nil then
						game.player.gui.left.menu_teleporter.destroy()
						glob.selectedteleporter = 0 -- mozna dodac sprawdzenie czy pozycja playera jest podobna do pozycji teleportera
					end
					table.remove(glob.teleporter, k)
					table.remove(glob.teleporter.name, k)
				end
			end
			if glob.teletimer[3] ~= 0 then glob.selectedteleporter = 0 end
			if glob.telepoertationstart == true then glob.telepoertationstart = false end
		end
	
	
	
end)


game.onevent(defines.events.onentitydied, function(event)

	glob.teledied = true
	glob.telediedname = event.entity.name
	glob.telediedposition.x = event.entity.position.x
	glob.telediedposition.y = event.entity.position.y
	
			
		local x1,y1
		x1, y1 = string.find(glob.telediedname, "teleporter")
		if x1 ~= nil then
			for k, teleporter in ipairs(glob.teleporter) do
				if not teleporter.valid then
					if game.player.gui.left.menu_teleporter ~= nil then
						game.player.gui.left.menu_teleporter.destroy()
						glob.selectedteleporter = 0
					end
					table.remove(glob.teleporter, k)
					table.remove(glob.teleporter.name, k)
				end
			end
			
			if glob.teletimer[3] ~= 0 then glob.selectedteleporter = 0 end
			if glob.telepoertationstart == true then glob.telepoertationstart = false end
			
		end	

end)


game.onevent(defines.events.onguiclick, function(event)  --on click events
local menu_tele_filter_destroy = false
local menu_tele_destroy = false	
local menu_tele_connect_destroy = false

	if event.name == defines.events.onguiclick then
		
		
		
		if event.element.name == "debug" then
		game.player.clearconsole()
		game.player.print("-------------Debug start-------------")
		game.player.print("#glob.teleins: " .. #glob.teleins)
		game.player.print("#glob.teledistance: " .. #glob.teledistance)
		
		--game.player.print(game.player.cursorstack.name)
		
		end
		
	end

	if event.element.name == "CheckBoxtele_row_8" then
		if game.player.gui.left.menu_tele.rowtele_5.CheckBoxtele_row_8.state == false then glob.showtelepath = false
		elseif game.player.gui.left.menu_tele.rowtele_5.CheckBoxtele_row_8.state == true then glob.showtelepath = true
		end
	end
	
	if event.element.name == "checkbox_0_1" then
		if game.player.gui.left.menu_tele.row_0.checkbox_0_1.state == true then glob.teleins.direction[glob.menuteledevicenumber] = "input" else glob.teleins.direction[glob.menuteledevicenumber] = "output" end
		if game.player.gui.left.menu_tele.row_0.checkbox_0_1.state == true then game.player.gui.left.menu_tele.row_0.checkbox_0_2.state = false end
		if game.player.gui.left.menu_tele.row_0.checkbox_0_1.state == false then game.player.gui.left.menu_tele.row_0.checkbox_0_2.state = true end
		--game.player.print(glob.teleins.direction[glob.menuteledevicenumber])
	end
	
	if event.element.name == "checkbox_0_2" then
		if game.player.gui.left.menu_tele.row_0.checkbox_0_2.state == true then glob.teleins.direction[glob.menuteledevicenumber] = "output" else glob.teleins.direction[glob.menuteledevicenumber] = "input" end
		if game.player.gui.left.menu_tele.row_0.checkbox_0_2.state == true then game.player.gui.left.menu_tele.row_0.checkbox_0_1.state = false end
		if game.player.gui.left.menu_tele.row_0.checkbox_0_2.state == false then game.player.gui.left.menu_tele.row_0.checkbox_0_1.state = true end
		--game.player.print(glob.teleins.direction[glob.menuteledevicenumber])
	end
	
	if event.element.name == "cto" then
		glob.conncetingdevice = true
		glob.refreshconnmenu = true
		--game.player.gui.left.menu_tele.rowtele_2.label_menutele_2_1.caption="Waiting for connection... "
		game.player.gui.left.menu_tele.rowtele_1.cto.caption="Waiting for connection..."
		game.player.gui.left.menu_tele.rowtele_1.cto.style.fontcolor = {r = 1, g = 0, b = 0}
		glob.timer2start = true
		
	end
	
	if event.element.name == "dcto" then
		--szukaj w teleinsertereach 
		for k, teleins in ipairs(glob.teleins) do
			if teleins.valid then	
				if #glob.teleins.connections[glob.menuteledevicenumber] > 0 then -- here was k instead of glob.menuteledevicenumber... dont know why but it was mistake
					
						if (glob.teleins.connections[glob.menuteledevicenumber][#glob.teleins.connections[glob.menuteledevicenumber]].position.x == glob.teleins[k].position.x) and (glob.teleins.connections[glob.menuteledevicenumber][#glob.teleins.connections[glob.menuteledevicenumber]].position.y == glob.teleins[k].position.y) then  -- sprawdz ktory to jest device, poprzez porownanie pozycji device z gui z tabela
							--czyli to jest odwołanie od output device
							for kk=1, #glob.teleins.connections[k], 1 do
								if glob.teleins[glob.menuteledevicenumber].position.x == glob.teleins.connections[k][kk].position.x and glob.teleins[glob.menuteledevicenumber].position.y == glob.teleins.connections[k][kk].position.y then
							
									--game.player.print("znalazłem w dev no " .. k .. "  connection no " .. kk)
									table.remove(glob.teleins.connections[k], kk)
									table.remove(glob.teleins.filter[k], kk)
									--game.player.print("k=" .. k .. "  kk=" .. kk)
									if #glob.teleins.connections[k] == 0 then glob.teleins.direction[k] = "" end
									
									local tele_distance = 0
									for dd = 1, #glob.teleins.connections[k], 1 do
										local x1 = glob.teleins[k].position.x
										local y1 = glob.teleins[k].position.y
										local x2 = glob.teleins.connections[k][dd].position.x
										local y2 = glob.teleins.connections[k][dd].position.y
										local x = x2 - x1
										local y = y2 - y1
										local teledist = math.sqrt(x*x+y*y)
										tele_distance = tele_distance + teledist
									end
																		
									glob.teledistance[k] = tele_distance
																		
									--game.player.print("tele_distance pierw " .. glob.teledistance[k])
									
									break
								end
							end
							
							
							--table.remove(glob.teleins.connections[k], 1)					
							--glob.teleins.direction[k] = ""	
							
							
						end
					
				end	
				
			end	
		end
		
		table.remove(glob.teleins.connections[glob.menuteledevicenumber], #glob.teleins.connections[glob.menuteledevicenumber]) -- usowaj ostatni z listy ... ten device co ma otwarte menu czyli ten co nadusiles guzik
		table.remove(glob.teleins.filter[glob.menuteledevicenumber], #glob.teleins.filter[glob.menuteledevicenumber])
		
		--game.player.print("connections " .. #glob.teleins.connections[glob.menuteledevicenumber] .. "  filter " .. #glob.teleins.filter[glob.menuteledevicenumber])
		
		if #glob.teleins.connections[glob.menuteledevicenumber] == 0 then
			glob.teleins.direction[glob.menuteledevicenumber] = ""
			--game.player.gui.left.menu_tele.row_0.checkbox_0_1.state = false
			--game.player.gui.left.menu_tele.row_0.checkbox_0_2.state = false
		end
		
		
	local tele_distance = 0
	for dd = 1, #glob.teleins.connections[glob.menuteledevicenumber], 1 do
		local x1 = glob.teleins[glob.menuteledevicenumber].position.x
		local y1 = glob.teleins[glob.menuteledevicenumber].position.y
		local x2 = glob.teleins.connections[glob.menuteledevicenumber][dd].position.x
		local y2 = glob.teleins.connections[glob.menuteledevicenumber][dd].position.y
		local x = x2 - x1
		local y = y2 - y1
		local teledist = math.sqrt(x*x+y*y)
		tele_distance = tele_distance + teledist
	end
										
	glob.teledistance[glob.menuteledevicenumber] = tele_distance
										
	--game.player.print("tele_distance " .. glob.teledistance[glob.menuteledevicenumber])
	--game.player.print("tele_distance " .. math.floor(glob.teledistance[glob.menuteledevicenumber]))
		
		
	end

	for ii=1, 4, 1 do	
		local namee = "label_menutele_" .. ii .. "_5"
		if event.element.name == namee then 
		glob.filter_menu_num = ii
		--game.player.print("glob.filter_menu_num " .. glob.filter_menu_num)
			if game.player.gui.left.menu_tele_filter == nil then
				game.player.gui.left.add({type="frame", name="menu_tele_filter", caption="",direction="vertical"})
				game.player.gui.left.menu_tele_filter.add({type="flow",name="filter_row_1",direction="horizontal"})
				
				local j=1
				for i=1, #filter, 1 do
					if filter[i] == "nl" then
						j=j+1
						game.player.gui.left.menu_tele_filter.add({type="flow",name="filter_row_" .. j, direction="horizontal"})
					end
					
					if filter[i] ~= "nl" then
						--game.player.gui.left.menu_tele_filter.filter_row_1.add({type="frame", name="filter_" .. i, caption="    ", style="frame_tele_" .. filterx[i]})
						
						local filterx, filterbool
						filterx, filterbool = removeminusfromname(filter[i])
						while filterbool do
							filterx, filterbool = removeminusfromname(filterx)
						end
						
						game.player.gui.left.menu_tele_filter["filter_row_" .. j].add({type="frame", name="filter_" .. i, caption="    ", style="frame_tele[" .. filterx .. "]"})
						--game.player.gui.left.menu_tele_filter.filter_row_1[filter[i]].add({type="label", name=filter[i], caption="..."})
						game.player.gui.left.menu_tele_filter["filter_row_" .. j]["filter_" .. i].style.maximalwidth=32
						game.player.gui.left.menu_tele_filter["filter_row_" .. j]["filter_" .. i].style.minimalwidth=32
						game.player.gui.left.menu_tele_filter["filter_row_" .. j]["filter_" .. i].style.minimalheight=32
						game.player.gui.left.menu_tele_filter["filter_row_" .. j]["filter_" .. i].style.maximalheight=32
						--game.player.print("frame_tele_" .. filterx[i])
					end
						
					
				end
				
				game.player.gui.left.menu_tele_filter.add({type="button", name="filterclose", caption="Close"})
				
			end	
		
		if game.player.gui.left.menu_tele.rowtele_4.subrow_1 ~= nil then game.player.gui.left.menu_tele.rowtele_4.subrow_1.label_menutele_1_5.style="tele_textfield_style" end
		if game.player.gui.left.menu_tele.rowtele_4.subrow_2 ~= nil then game.player.gui.left.menu_tele.rowtele_4.subrow_2.label_menutele_2_5.style="tele_textfield_style" end
		if game.player.gui.left.menu_tele.rowtele_4.subrow_3 ~= nil then game.player.gui.left.menu_tele.rowtele_4.subrow_3.label_menutele_3_5.style="tele_textfield_style" end
		if game.player.gui.left.menu_tele.rowtele_4.subrow_4 ~= nil then game.player.gui.left.menu_tele.rowtele_4.subrow_4.label_menutele_4_5.style="tele_textfield_style" end
		if ii == 1 then game.player.gui.left.menu_tele.rowtele_4.subrow_1.label_menutele_1_5.style="tele_textfield_style_bold" end
		if ii == 2 then game.player.gui.left.menu_tele.rowtele_4.subrow_2.label_menutele_2_5.style="tele_textfield_style_bold" end
		if ii == 3 then game.player.gui.left.menu_tele.rowtele_4.subrow_3.label_menutele_3_5.style="tele_textfield_style_bold" end
		if ii == 4 then game.player.gui.left.menu_tele.rowtele_4.subrow_4.label_menutele_4_5.style="tele_textfield_style_bold" end
		
		end
	end
	
	
	local x1,y1
	x1, y1 = string.find(event.element.name, "tele_connection")
	if x1 ~= nil then
		
		local namebuf = game.player.gui.left.menu_tele_connect[event.element.name].caption 
		local nametofind
		local XX,YY
		
		local x1, y1
		x1, y1 = string.find(namebuf, "at x")
		if x1 ~= nil then
			nametofind = string.sub(namebuf, 1, x1-1)   -- from character 7 until and including 9
		end
		
		local x2, y2
		x2, y2 = string.find(namebuf, "y=")
		
		--game.player.print(nametofind)
		XX = string.sub(namebuf, y1+2, x2-2)  
		YY = string.sub(namebuf, y2+1) 
		--game.player.print(XX  .. "  " .. YY)
		
		connect_to_tele_dev_1(tonumber(XX),tonumber(YY))
		glob.refreshconnmenu = true
		
		
	end
	
	
	
--	if event.element.name == "button_menutele_end_1" then
--		if game.player.gui.left.menu_tele ~= nil then game.player.gui.left.menu_tele.destroy() end
--		if game.player.gui.left.menu_tele_filter ~= nil then game.player.gui.left.menu_tele_filter.destroy() end
--	end


	if game.player.gui.left.menu_tele_filter ~= nil then
		if event.element.name == "filterclose" then
			if game.player.gui.left.menu_tele_filter ~= nil then
				menu_tele_filter_destroy = true --game.player.gui.left.menu_tele_filter.destroy()
				if game.player.gui.left.menu_tele.rowtele_4.subrow_1 ~= nil then game.player.gui.left.menu_tele.rowtele_4.subrow_1.label_menutele_1_5.style="tele_textfield_style" end
				if game.player.gui.left.menu_tele.rowtele_4.subrow_2 ~= nil then game.player.gui.left.menu_tele.rowtele_4.subrow_2.label_menutele_2_5.style="tele_textfield_style" end
				if game.player.gui.left.menu_tele.rowtele_4.subrow_3 ~= nil then game.player.gui.left.menu_tele.rowtele_4.subrow_3.label_menutele_3_5.style="tele_textfield_style" end
				if game.player.gui.left.menu_tele.rowtele_4.subrow_4 ~= nil then game.player.gui.left.menu_tele.rowtele_4.subrow_4.label_menutele_4_5.style="tele_textfield_style" end
			end
		end	
	end	

	if game.player.gui.left.menu_tele_filter ~= nil then	
		for i=1, #filter, 1 do
			local namee = "filter_" .. i
			if event.element.name == namee then
				--game.player.print("glob.filter_menu_num " .. glob.filter_menu_num)
				--game.player.print("i=" .. i)
				local nnumber = i
				if glob.filter_menu_num == 1 then game.player.gui.left.menu_tele.rowtele_4.subrow_1.label_menutele_1_5.caption = filter[i] end
				if glob.filter_menu_num == 2 then game.player.gui.left.menu_tele.rowtele_4.subrow_2.label_menutele_2_5.caption = filter[i] end
				if glob.filter_menu_num == 3 then game.player.gui.left.menu_tele.rowtele_4.subrow_3.label_menutele_3_5.caption = filter[i] end
				if glob.filter_menu_num == 4 then game.player.gui.left.menu_tele.rowtele_4.subrow_4.label_menutele_4_5.caption = filter[i] end
				glob.teleins.filter[glob.menuteledevicenumber][glob.filter_menu_num] = filter[i]
				
				if glob.teleins.direction[glob.menuteledevicenumber] == "input" then
					--for j=1, #glob.teleins.connections[glob.menuteledevicenumber], 1 do
						for k, teleins in ipairs(glob.teleins) do
							if teleins.valid then
								--szukaj nowo podlaczonego device i zmien jego parametry na output itd itp	
								if (glob.teleins.connections[glob.menuteledevicenumber][glob.filter_menu_num].position.x == glob.teleins[k].position.x) and (glob.teleins.connections[glob.menuteledevicenumber][glob.filter_menu_num].position.y == glob.teleins[k].position.y) then
									glob.teleins.filter[k][1] = filter[i]
								end
							end	
						end
					--end
				end
				
				if glob.teleins.direction[glob.menuteledevicenumber] == "output" then

						for k, teleins in ipairs(glob.teleins) do
							if teleins.valid then
								--szuka do czego jest podaczony ten (output) device... szuka jego maciezystego inputa
								if (glob.teleins.connections[glob.menuteledevicenumber][glob.filter_menu_num].position.x == glob.teleins[k].position.x) and (glob.teleins.connections[glob.menuteledevicenumber][glob.filter_menu_num].position.y == glob.teleins[k].position.y) then
									
									for j=1, #glob.teleins.connections[k], 1 do
										
										if glob.teleins.connections[k][j].position.x == glob.teleins[glob.menuteledevicenumber].position.x and glob.teleins.connections[k][j].position.y == glob.teleins[glob.menuteledevicenumber].position.y then
										
											glob.teleins.filter[k][j] = filter[i]
										
										end
										
									end
									
									
								
								
								end
							end	
						end
				
				end
				
			end
		end	
	end	
	

	if game.player.gui.left.menu_tele ~= nil then
		if event.element.name == "button_menutele_end_1" then
			
			if game.player.gui.left.menu_tele ~= nil then
				menu_tele_destroy = true --game.player.gui.left.menu_tele.destroy()
				if game.player.gui.left.menu_tele.rowtele_0 ~= nil then
					glob.desiredname[glob.menuteledevicenumber] = game.player.gui.left.menu_tele.rowtele_0.teleinserterchestname.text
				end
			end
			
			if game.player.gui.left.menu_tele_filter ~= nil then
				menu_tele_filter_destroy = true	--game.player.gui.left.menu_tele_filter.destroy()
			end
			
			if game.player.gui.left.menu_tele_connect ~= nil then
				menu_tele_connect_destroy = true
			end
		glob.refreshconnmenu = false
		end
		
	end	
	
	if game.player.gui.left.menu_teleporter ~= nil then
		
		if event.element.name == "teleport_name" then
			glob.teleportnamerefresh = false
		end

		if event.element.name == "teleportsetname" then
			glob.teleporter.name[glob.selectedteleporter] = game.player.gui.left.menu_teleporter.row_1.teleport_name.text
			glob.teleportnamerefresh = true
		end
	
	
	
		local x1,y1
		x1, y1 = string.find(event.element.name, "teleporterdevicexname")
		if x1 ~= nil then
			for k, teleporter in ipairs(glob.teleporter) do
				if teleporter.valid then
					
					if glob.teleporter.name[k] == event.element.caption then
					
						if glob.telepoertationstart == false then
							glob.telepoertationstart = true
						else
							
							local pos_x = glob.teleporter[glob.telepoertationdestination].position.x -- stary telepoertationdestination teleporter
							local pos_y = glob.teleporter[glob.telepoertationdestination].position.y
							local health = glob.teleporter[glob.telepoertationdestination].health
							glob.teleporter[glob.telepoertationdestination].destroy()
							glob.teleporter[glob.telepoertationdestination] = game.createentity{name = "teleporter", position= {pos_x, pos_y}, force=game.forces.player}
							glob.teleporter[glob.telepoertationdestination].health = health
							
						end
						
						glob.telepoertationdestination = k
						
						local pos_x = glob.teleporter[k].position.x -- klikniety teleporter
						local pos_y = glob.teleporter[k].position.y
						local health = glob.teleporter[k].health
						glob.teleporter[k].destroy()
						glob.teleporter[k] = game.createentity{name = "teleporter-active", position= {pos_x, pos_y}, force=game.forces.player}
						glob.teleporter[k].health = health

						
						local pos_x2 = glob.teleporter[glob.selectedteleporter].position.x -- teleporter w którego menu aktualnie jstesmy
						local pos_y2 = glob.teleporter[glob.selectedteleporter].position.y					
						local health = glob.teleporter[glob.selectedteleporter].health
						glob.teleporter[glob.selectedteleporter].destroy()
						glob.teleporter[glob.selectedteleporter] = game.createentity{name = "teleporter-active", position= {pos_x2, pos_y2}, force=game.forces.player}
						glob.teleporter[glob.selectedteleporter].health = health
						
						local distancebetween = math.sqrt( (pos_x-pos_x2)*(pos_x-pos_x2)+(pos_y-pos_y2)*(pos_y-pos_y2) )
						--game.player.print("distance " .. distancebetween)
						
						--(10^(X/50))*44000
						local base = 10
						local exponent = ((distancebetween*0.4)/100)
						local power = math.pow(base,exponent)
						power = power * 500000 * 1.5
						
						glob.maxteleportpower = power
						--game.player.print("power needed " .. power)
						--game.player.gui.left.menu_teleporter.row_2.label_menutele_2_1.style.fontcolor = {r = 1, g = 0, b = 0}
						
						local i = 0
						for k2, teleporter in ipairs(glob.teleporter) do
							if teleporter.valid then	
								
								if k2 ~= glob.selectedteleporter then
									
									if game.player.gui.left.menu_teleporter.devices_list.list["teleporterdevicexname-" .. i].valid then 
										game.player.gui.left.menu_teleporter.devices_list.list["teleporterdevicexname-" .. i].style.fontcolor = {r = 1, g = 1, b = 1}
									end
									
									i=i+1
								end
								
							end
						end
						
						event.element.style.fontcolor = {r = 1, g = 0, b = 0}
						--game.player.print(#game.player.gui.left.menu_teleporter.devices_list.list)
						
					end
				
				end
			end
					
		end
	
	end
	

	if game.player.gui.left.menu_tele_connect ~= nil then
		if event.element.name == "teleguiconnectclose" then
			menu_tele_connect_destroy = true
		end
	end
	
	if event.element.name == "teleinserterchestname" then
		glob.teledevicenamerefresh = false
	end
	
	if test_debug then game.player.print(event.element.name) end
	if menu_tele_connect_destroy == true then game.player.gui.left.menu_tele_connect.destroy() glob.conncetingdevice = false end
	if menu_tele_filter_destroy == true then game.player.gui.left.menu_tele_filter.destroy() end
	if menu_tele_destroy == true then game.player.gui.left.menu_tele.destroy() glob.conncetingdevice = false end
end)

game.onevent(defines.events.ontick, function(event)
	timertele()
	timertele34()
	
	
	--game.player.print("timer1  " .. glob.teletimer[1])
	--game.player.print("timer2  " .. glob.teletimer[2])
	--game.player.print("timer3  " .. glob.teletimer[3])
	--game.player.print(#glob.teleins)
	--game.player.print(glob.menuteledevicenumber)
	
--[[if game.tick%1==0 then	
	--game.player.clearconsole()
	for k, teleins in ipairs(glob.teleins) do
		if teleins.valid then
			for i=1, #teleinsnames, 1 do
				if glob.teleins[k].name == teleinsnames[i] then
					
					--game.player.print("dev no " .. k .. "power  " .. glob.teleins[k].energy)
					--if glob.teleins[k].energy == 0 then glob.teleins[k].energy = 3000 end
					--if glob.teleins[k].energy > 0 then glob.teleins[k].energy = 50000 end
					--game.player.print("dev no " .. k .. "power  " .. glob.teleins[k].energy)
					
					
				end
			end
		end
	end				
end	]]--

--if glob.teleins[4].energy > 50000 then
--	glob.teleins[4].energy = 1120000
--end
	
	--game.player.print("dev no " .. 4 .. "power  " .. glob.teleins[4].energy .. " tick " .. game.tick)	

	
	if glob.teledied == true then -- jesli teleinserter umarł
		glob.teledied = false
		
		local x1,y1,x2,y2,x3,y3,x4,y4,x5,y5,x6,y6
		x1, y1 = string.find(glob.telediedname, "mk1")
		x2, y2 = string.find(glob.telediedname, "mk2")	
		x3, y3 = string.find(glob.telediedname, "mk3")		
		x4, y4 = string.find(glob.telediedname, "mk4")		
		x5, y5 = string.find(glob.telediedname, "chest")		
		x6, y6 = string.find(glob.telediedname, "inserter")
			
		if (x1 ~= nil or x2 ~= nil or x3 ~= nil or x4 ~= nil) and (x5 ~= nil or x6 ~= nil) then
			
			local szukaj = true
				while szukaj do
				szukaj = false
					for k, teleins in ipairs(glob.teleins) do
						if not teleins.valid then
							
							local teleghost = game.findentitiesfiltered{area = {{glob.telediedposition.x - 0, glob.telediedposition.y  - 0}, {glob.telediedposition.x + 0 , glob.telediedposition.y  + 0}}, name="ghost"}
							if teleghost[1] ~= nil then teleghost[1].destroy() end
						
							szukaj = true
							
							
							if #glob.teleins.connections[k] > 0 then
								--game.player.print("max  " .. #glob.teleins.connections[k])
								for j=1, #glob.teleins.connections[k], 1 do
									--game.player.print("j " .. j)
									for kk, teleins in ipairs(glob.teleins) do
										if teleins.valid then	
											
											if glob.teleins[kk].position.x == glob.teleins.connections[k][j].position.x then
												--game.player.print("znalazlem polaczenie")
												
												local j2=0
												local k2 =0
												for jj=1, #glob.teleins.connections[kk], 1 do
													--if glob.teleins.connections[kk][jj].position.x == event.itemstack.position.x then
													--	game.player.print("wiem co usunac")
													--end
													if not glob.teleins.connections[kk][jj].valid then
														--game.player.print("wiem co usunac not valid "  .. jj .. " at " .. kk .. " dev no")
														--table.remove(glob.teleins.connections[kk], jj)
														j2 = jj
														k2 = kk
														
													end
													
												end
												table.remove(glob.teleins.connections[k2], j2)
												--game.player.print("#glob.teleins.connections[kk]  " .. #glob.teleins.connections[kk])
												if #glob.teleins.connections[kk] == 0 then	glob.teleins.direction[kk] = ""	end
												
											end
											
										end
									end
									
								end
							end	
							
							
							table.remove(glob.teleins, k)
							table.remove(glob.teleins.direction, k)
							table.remove(glob.teleins.connections, k)
							table.remove(glob.teleins.filter, k)	
							table.remove(glob.teledistance, k)	
							table.remove(glob.desiredname, k)
						end
					end
				end
		end
		
		
		local x1,y1
		x1, y1 = string.find(glob.telediedname, "teleporter")
		if x1 ~= nil then
			for k, teleporter in ipairs(glob.teleporter) do
				if not teleporter.valid then
					if game.player.gui.left.menu_teleporter ~= nil then
						game.player.gui.left.menu_teleporter.destroy()
						glob.selectedteleporter = 0
					end
					table.remove(glob.teleporter, k)
					table.remove(glob.teleporter.name, k)
				end
			end
			
			if glob.teletimer[3] ~= 0 then glob.selectedteleporter = 0 end
			local teleporterghost = game.findentitiesfiltered{area = {{glob.telediedposition.x - 0, glob.telediedposition.y  - 0}, {glob.telediedposition.x + 0 , glob.telediedposition.y  + 0}}, name="ghost"}
			if teleporterghost[1] ~= nil then teleporterghost[1].destroy() end
			
		end	
		
	end
	

	if glob.teletimer[1]>=60 then
		glob.teletimer[1]=0
		
		--game.player.print("selected 100s  " .. game.player.selected.name)
		
		--old		
		--local selecteddevice = false
		--for i=1, #telenames, 1 do
		--	if game.player.selected.name == telenames[i] then selecteddevice = true end
		--end
		--end old
		
		--new
		
		if game.player.selected ~= nil then
			local x1,y1,x2,y2,x3,y3,x4,y4,x5,y5,x6,y6
			x1, y1 = string.find(game.player.selected.name, "mk1")
			x2, y2 = string.find(game.player.selected.name, "mk2")	
			x3, y3 = string.find(game.player.selected.name, "mk3")		
			x4, y4 = string.find(game.player.selected.name, "mk4")		
			x5, y5 = string.find(game.player.selected.name, "chest")		
			x6, y6 = string.find(game.player.selected.name, "inserter")
		
		--game.player.print(game.player.selected.name)
		
			if (x1 ~= nil or x2 ~= nil or x3 ~= nil or x4 ~= nil) and (x5 ~= nil or x6 ~= nil) then
				selecteddevice = true
			end
			
			if x5 ~= nil and glob.conncetingdevice == false then glob.menuteledevicetype = "chest" elseif x6 ~= nil and glob.conncetingdevice == false then glob.menuteledevicetype = "inserter" end
			
		end
		
		--end new
		
		
		--if selecteddevice==true then game.player.print("selecteddevice true") else game.player.print("selecteddevice false") end
		--if glob.conncetingdevice==true then game.player.print("glob.conncetingdevice true") else game.player.print("glob.conncetingdevice false") end
		
		if game.player.selected ~= nil and selecteddevice == true and glob.conncetingdevice == false then
			if game.player.gui.left.menu_tele==nil then
					
				for k, teleins in ipairs(glob.teleins) do
					if teleins.valid then
							
						if (game.player.selected.position.x == teleins.position.x) and (game.player.selected.position.y == teleins.position.y) then
							
							glob.menuteledevicenumber = k
							--game.player.print(glob.menuteledevicetype)
							
							--if game.player.gui.left.menu_tele==nil then
							
								createtelegui()
								
								
								--old
								--[[local frame_menutele_caption = ""
								for i=1, #telenames, 1 do
									if game.player.selected.name == telenames[i] then
										if i == 1 then frame_menutele_caption = "Tele Inserter MK1" end
										if i == 2 then frame_menutele_caption = "Tele Inserter MK2" end
										if i == 3 then frame_menutele_caption = "Tele Inserter MK3" end
										if i == 4 then frame_menutele_caption = "Tele Inserter MK4" end
										if i == 5 then frame_menutele_caption = "Tele Chest" end
										--if i > 5 and i <=261 then frame_menutele_caption = "Tele Inserter MK1" end
										--if i > 261 and i <=517 then frame_menutele_caption = "Tele Inserter MK2" end
										--if i > 517 and i <=773 then frame_menutele_caption = "Tele Inserter MK3" end
										--if i > 773 and i <=1029 then frame_menutele_caption = "Tele Inserter MK4" end
									end
								end]]--
								-- end old
								
								local frame_menutele_caption = ""
								if game.player.selected ~= nil then
									local x1,y1,x2,y2,x3,y3,x4,y4,x5,y5,x6,y6
									x1, y1 = string.find(game.player.selected.name, "mk1")
									x2, y2 = string.find(game.player.selected.name, "mk2")	
									x3, y3 = string.find(game.player.selected.name, "mk3")		
									x4, y4 = string.find(game.player.selected.name, "mk4")		
									x5, y5 = string.find(game.player.selected.name, "chest")		
									x6, y6 = string.find(game.player.selected.name, "inserter")
								
									if x1 ~= nil and x6 ~= nil then frame_menutele_caption = "Tele Inserter MK1" end
									if x2 ~= nil and x6 ~= nil then frame_menutele_caption = "Tele Inserter MK2" end
									if x3 ~= nil and x6 ~= nil then frame_menutele_caption = "Tele Inserter MK3" end
									if x4 ~= nil and x6 ~= nil then frame_menutele_caption = "Tele Inserter MK4" end
									if x5 ~= nil then frame_menutele_caption = "Tele Chest" end
								end
								
								
								game.player.gui.left.menu_tele.caption = frame_menutele_caption
								
								--if glob.teleins.direction[k] == "input" then game.player.gui.left.menu_tele.row_0.checkbox_0_1.state = true else game.player.gui.left.menu_tele.row_0.checkbox_0_1.state = false end
								--if glob.teleins.direction[k] == "output" then game.player.gui.left.menu_tele.row_0.checkbox_0_2.state = true else game.player.gui.left.menu_tele.row_0.checkbox_0_2.state = false end
						
								--if game.player.gui.left.menu_tele.row_0.checkbox_0_1.state == true and game.player.gui.left.menu_tele.row_0.checkbox_0_2.state == true then game.player.gui.left.menu_tele.row_0.checkbox_0_2.state = false end
						
						end

					end
				end
			end
		
		end
	
	
		if glob.conncetingdevice == true and game.player.selected ~= nil then 
		
			--for i=1, #teleinsnames, 1 do								--maxconnections
			
			local x1,y1,x2,y2,x3,y3,x4,y4,x5,y5,x6,y6
			local mark=0
			x1, y1 = string.find(glob.teleins[glob.menuteledevicenumber].name, "mk1")
			x2, y2 = string.find(glob.teleins[glob.menuteledevicenumber].name, "mk2")	
			x3, y3 = string.find(glob.teleins[glob.menuteledevicenumber].name, "mk3")		
			x4, y4 = string.find(glob.teleins[glob.menuteledevicenumber].name, "mk4")		
			x5, y5 = string.find(glob.teleins[glob.menuteledevicenumber].name, "chest")		
			x6, y6 = string.find(glob.teleins[glob.menuteledevicenumber].name, "inserter")

			if x1 ~= nil and y1 ~= nil then mark = 1 end
			if x2 ~= nil and y2 ~= nil then mark = 2 end
			if x3 ~= nil and y3 ~= nil then mark = 3 end
			if x4 ~= nil and y4 ~= nil then mark = 4 end
			
			--game.player.print("MARK " .. mark)
			--game.player.print(game.player.selected.name)
			--game.player.print("max conn " .. maxconnections[mark] .. "  current conn " .. #glob.teleins.connections[glob.menuteledevicenumber])
			
				if (x1 ~= nil or x2 ~= nil or x3 ~= nil or x4 ~= nil) and (x5 ~= nil or x6 ~= nil) then
				--if teleinsnames[i] == glob.teleins[glob.menuteledevicenumber].name then
					
					local podlaczylem = false
					
					if #glob.teleins.connections[glob.menuteledevicenumber] < maxconnections[mark] then
					
						for k, teleins in ipairs(glob.teleins) do
							if teleins.valid then
								if game.player.selected.position.x == glob.teleins[k].position.x and game.player.selected.position.y == glob.teleins[k].position.y then -- szukam ktory zostal zaznaczony
									
									if #glob.teleins.connections[k] < 1 then -- sprawdzam czy device ktory chce podłaczyc nie jest podlaczony gzies indziej... moglbym takze sprawdzac czy direction jest równa ""... nie output bo output bedzie jak cos jest podlaczone
										
																				
										local tele_distance = 0
										for dd = 1, #glob.teleins.connections[glob.menuteledevicenumber], 1 do
											local x1 = glob.teleins[glob.menuteledevicenumber].position.x
											local y1 = glob.teleins[glob.menuteledevicenumber].position.y
											local x2 = glob.teleins.connections[glob.menuteledevicenumber][dd].position.x
											local y2 = glob.teleins.connections[glob.menuteledevicenumber][dd].position.y
											local x = x2 - x1
											local y = y2 - y1
											local teledist = math.sqrt(x*x+y*y)
											tele_distance = tele_distance + teledist -- mozna dodac warunek na > od 256
										end
										
										local x1 = glob.teleins[glob.menuteledevicenumber].position.x
										local y1 = glob.teleins[glob.menuteledevicenumber].position.y
										local x2 = game.player.selected.position.x
										local y2 = game.player.selected.position.y
										local x = x2 - x1
										local y = y2 - y1
										local teledist = math.sqrt(x*x+y*y)
										tele_distance = tele_distance + teledist										
										
										
										if math.floor(tele_distance) <= glob.maxteleentities then
										
											glob.teledistance[glob.menuteledevicenumber] = tele_distance
											
											--game.player.print("tele_distance " .. glob.teledistance[glob.menuteledevicenumber])
											--game.player.print("tele_distance " .. math.floor(glob.teledistance[glob.menuteledevicenumber]))
											
											glob.teleins.connections[glob.menuteledevicenumber][#glob.teleins.connections[glob.menuteledevicenumber]+1] = game.player.selected
											glob.teleins.filter[glob.menuteledevicenumber][#glob.teleins.filter[glob.menuteledevicenumber]+1] = "none"

											
											--game.player.print("connected: " .. game.player.selected.name)
											glob.teleins.direction[glob.menuteledevicenumber] = "input"
											--game.player.gui.left.menu_tele.row_0.checkbox_0_1.state = true
											--game.player.gui.left.menu_tele.row_0.checkbox_0_2.state = false
											glob.teleins[glob.menuteledevicenumber].active = true
											
											podlaczylem = true
											
										else
											game.player.print("CAN NOT CONNECT TO THE DEVICE - DISTANCE GREATER THAN " .. glob.maxteleentities .. " - EXCEEDED BY " .. math.floor(tele_distance)-glob.maxteleentities)
											--game.player.print("CAN NOT CONNECT TO THE DEVICE - DISTANCE GREATER THAN " .. glob.maxteleentities)
										end


									
									end
									
								end
								
							end
						end
					

						if podlaczylem == true then
						podlaczylem = false
					--	for j=1, #glob.teleins.connections[glob.menuteledevicenumber], 1 do
						j = #glob.teleins.connections[glob.menuteledevicenumber]
							for k, teleins in ipairs(glob.teleins) do
								if teleins.valid then
										--szukaj nowo podlaczonego device i zmien jego parametry na output itd itp	
									if (glob.teleins.connections[glob.menuteledevicenumber][j].position.x == glob.teleins[k].position.x) and (glob.teleins.connections[glob.menuteledevicenumber][j].position.y == glob.teleins[k].position.y) then
										
										glob.teleins.connections[k][1] = glob.teleins[glob.menuteledevicenumber]
										glob.teleins.direction[k] = "output"	
										glob.teleins.filter[k][1] = "output none"
										
										--game.player.print("nowe k to: " .. k)
										
									end
									
								end	
							end
					--	end
						end
						
						

					end
				end
			
			
				if game.player.gui.left.menu_tele ~= nil then game.player.gui.left.menu_tele.rowtele_1.cto.caption="Connect to output" end
				if game.player.gui.left.menu_tele ~= nil then game.player.gui.left.menu_tele.rowtele_1.cto.style.fontcolor = {r = 1, g = 1, b = 1} end
				--game.player.print("tutaj wylacza 1")
				glob.conncetingdevice = false
				glob.timer2start = false
				glob.refreshconnmenu = true
			
			--end
		end	
	end	
	
	
	
	if glob.teletimer[3]>=60 then
		glob.teletimer[3]=0
		
		if glob.teleporter[glob.selectedteleporter].name == "teleporter" then
			local pos_x = glob.teleporter[glob.selectedteleporter].position.x
			local pos_y = glob.teleporter[glob.selectedteleporter].position.y
			local health = glob.teleporter[glob.selectedteleporter].health
			glob.teleporter[glob.selectedteleporter].destroy()
			glob.teleporter[glob.selectedteleporter] = game.createentity{name = "teleporter-green", position= {pos_x, pos_y}, force=game.forces.player}
			glob.teleporter[glob.selectedteleporter].health = health
		end
		createtelegui_teleport()
		
	end
		
		
	if glob.teletimer[2]>=500 then
		--game.player.print("t2   " .. glob.teletimer[2])
		glob.teletimer[2]=0
		--game.player.print("tutaj wylacza 2222222222222222222222222222222222222222222222222222222222222222222222222222222")
		glob.timer2start = false
		glob.conncetingdevice = false
		if game.player.gui.left.menu_tele ~= nil then game.player.gui.left.menu_tele.rowtele_1.cto.caption="Connect to output" end
		if game.player.gui.left.menu_tele ~= nil then game.player.gui.left.menu_tele.rowtele_1.cto.style.fontcolor = {r = 1, g = 1, b = 1} end
	end
	
	
	if game.tick%10==0 then -- sprawdzanie distance i zamienianie teleinserterów
		--game.player.clearconsole()
		for k, teleins in ipairs(glob.teleins) do
			if teleins.valid then
				if glob.teleins.direction[k] == "input" and glob.teleins.connections[k] ~= nil and #glob.teleins.connections[k] > 0 then

					local poczateknazwy = "tele-inserter-"
					local mark = ""
					
					--game.player.print("namee " .. glob.teleins[k].name)
					
					local x, y
					x, y = string.find(glob.teleins[k].name, "mk1")
					if x ~= nil and y ~= nil then mark = "mk1" end
				
					x, y = string.find(glob.teleins[k].name, "mk2")
					if x ~= nil and y ~= nil then mark = "mk2" end
					
					x, y = string.find(glob.teleins[k].name, "mk3")
					if x ~= nil and y ~= nil then mark = "mk3" end
					
					x, y = string.find(glob.teleins[k].name, "mk4")
					if x ~= nil and y ~= nil then mark = "mk4" end
					

					
					local new_name = poczateknazwy
					local teledistancee = math.floor(glob.teledistance[k])
					if teledistancee > glob.maxteleentities then teledistancee = glob.maxteleentities end
					--if teledistancee ~= 0 then
						new_name = new_name .. mark .. "-" .. teledistancee
					--else
					--	new_name = new_name .. mark
					--end
					
					--game.player.print("new_name   " .. new_name)
					
					local pos_x = glob.teleins[k].position.x
					local pos_y = glob.teleins[k].position.y
					
					if glob.teleins[k].name ~= new_name then
					--game.player.print("k=" .. k)
						local health = glob.teleins[k].health
						local ddirection = glob.teleins[k].direction 
						glob.teleins[k].destroy()
						glob.teleins[k] = game.createentity{name = new_name, position= {pos_x, pos_y}, force=game.forces.player, direction=ddirection}
						glob.teleins[k].health = health
						--glob.teleins[k].direction = ddirection 
						--game.player.print("glob.teleins[k].name  " .. glob.teleins[k].name)
						
						
						
						
						for k2, teleins in ipairs(glob.teleins) do
							if teleins.valid then	
								
								if #glob.teleins.connections[k2] > 0 and glob.teleins.connections[k2] ~= nil then
									if glob.teleins.direction[k2] == "output" then
										for i=1, #glob.teleins.connections[k2], 1 do

											if not glob.teleins.connections[k2][i].valid then
											--if glob.teleins[k].position.x == glob.teleins.connections[k2][i].position.x and glob.teleins[k].position.y == glob.teleins.connections[k2][i].position.y then
												--game.player.print("k2  " .. k2)
												--game.player.print("xx  " .. glob.teleins[k].position.x)
												--game.player.print("yy  " .. glob.teleins[k].position.y)
												--game.player.print("xx k2  " .. glob.teleins.connections[k2][i].position.x)
												--game.player.print("yy k2  " .. glob.teleins.connections[k2][i].position.y)

												glob.teleins.connections[k2][i] = glob.teleins[k]
												
											--end
											end
											
										end
									end	
								end
								
							end
						end
					 
						--			if (glob.teleins.connections[glob.menuteledevicenumber][#glob.teleins.connections[glob.menuteledevicenumber]].position.x == glob.teleins[k].position.x) and (glob.teleins.connections[glob.menuteledevicenumber][#glob.teleins.connections[glob.menuteledevicenumber]].position.y == glob.teleins[k].position.y) then  -- sprawdz ktory to jest device, poprzez porownanie pozycji device z gui z tabela
							
						--				for kk=1, #glob.teleins.connections[k], 1 do
						--					if glob.teleins[glob.menuteledevicenumber].position.x == glob.teleins.connections[k][kk].position.x and glob.teleins[glob.menuteledevicenumber].position.y == glob.teleins.connections[k][kk].position.y then
							
						
						
						
					end
					
				end
				
				if glob.teleins.direction[k] == "" and glob.teleins.connections[k] ~= nil and #glob.teleins.connections[k] == 0 then
					
					
						local poczateknazwy = "tele-inserter-"
						local mark = ""
						
						--game.player.print("namee " .. glob.teleins[k].name)
						
						local x, y
						x, y = string.find(glob.teleins[k].name, "mk1")
						if x ~= nil and y ~= nil then mark = "mk1" end
					
						x, y = string.find(glob.teleins[k].name, "mk2")
						if x ~= nil and y ~= nil then mark = "mk2" end
						
						x, y = string.find(glob.teleins[k].name, "mk3")
						if x ~= nil and y ~= nil then mark = "mk3" end
						
						x, y = string.find(glob.teleins[k].name, "mk4")
						if x ~= nil and y ~= nil then mark = "mk4" end
						
						x, y = string.find(glob.teleins[k].name, "inserter")
						
						if x ~= nil and y ~= nil then
							local new_name = poczateknazwy
							
							new_name = new_name .. mark
							
							--game.player.print("new_name   " .. new_name)
							
							local pos_x = glob.teleins[k].position.x
							local pos_y = glob.teleins[k].position.y
							
							if glob.teleins[k].name ~= new_name then
								local health = glob.teleins[k].health
								local ddirection = glob.teleins[k].direction 
								glob.teleins[k].destroy()
								glob.teleins[k] = game.createentity{name = new_name, position= {pos_x, pos_y}, force=game.forces.player, direction=ddirection}
								glob.teleins[k].health = health
								--glob.teleins[k].direction = ddirection 
								--game.player.print("XXXX UPUPUPUPUPUPUPUUP")
							end
						end
					
				end
				
				
			end
		end
	end	
	
	
	if game.tick%5==0 then -- aktualizacja danych w menu
		
		if #glob.teleins == 0 then
			if game.player.gui.left.menu_tele ~= nil then	
				game.player.gui.left.menu_tele.destroy()
			end
		end
	
		if glob.refreshconnmenu == true then
			glob.refreshconnmenu = false
			--game.player.print("TREUEEEE")
			if game.player.gui.left.menu_tele_connect ~= nil then game.player.gui.left.menu_tele_connect.destroy() end
			create_connect_gui()
		end
	
		if game.player.gui.left.menu_tele ~= nil then	
			
			--delete connect to button if chest
			--game.player.print(glob.menuteledevicetype)
			if glob.menuteledevicetype == "chest" then
				if game.player.gui.left.menu_tele.rowtele_1.cto ~= nil then
					game.player.gui.left.menu_tele.rowtele_1.cto.destroy()
					mw = 235*2+7
					game.player.gui.left.menu_tele.rowtele_1.dcto.style.maximalwidth=mw
					game.player.gui.left.menu_tele.rowtele_1.dcto.style.minimalwidth=mw	
				end
			end
						--end delete connect to button if chest
			
			
			--if glob.teleins.direction[glob.menuteledevicenumber] == "input" or glob.teleins.direction[glob.menuteledevicenumber] == "output" then
			if glob.teleins.direction[glob.menuteledevicenumber] == "input" then
			--game.player.print("111111111111111111111111111111111")
				if glob.teleins.connections[glob.menuteledevicenumber] ~= nil then
					if #glob.teleins.connections[glob.menuteledevicenumber] ~= nil and glob.teleins.connections[glob.menuteledevicenumber][1] ~= nil then 
					

						if glob.teledevicenamerefresh == true and game.player.gui.left.menu_tele.rowtele_0 ~= nil then game.player.gui.left.menu_tele.rowtele_0.teleinserterchestname.caption = glob.desiredname[glob.menuteledevicenumber] end
						
						game.player.gui.left.menu_tele.rowtele_2.label_menutele_2_1.caption="Connected to:                      overall distance: " .. math.floor(glob.teledistance[glob.menuteledevicenumber])
						 
						aktualizuj_menu_teleinschest_1()
						
					else -- to jest if connection devices = 0 
					--game.player.print("tututututuutututututuutututuututut")					
						if glob.conncetingdevice ~= true then
							game.player.gui.left.menu_tele.rowtele_2.label_menutele_2_1.caption="Device not conncected"
							if game.player.gui.left.menu_tele.rowtele_4.subrow_1 ~= nil then game.player.gui.left.menu_tele.rowtele_4.subrow_1.destroy() end
							if game.player.gui.left.menu_tele.rowtele_4.subrow_2 ~= nil then game.player.gui.left.menu_tele.rowtele_4.subrow_2.destroy() end
							if game.player.gui.left.menu_tele.rowtele_4.subrow_3 ~= nil then game.player.gui.left.menu_tele.rowtele_4.subrow_3.destroy() end
							if game.player.gui.left.menu_tele.rowtele_4.subrow_4 ~= nil then game.player.gui.left.menu_tele.rowtele_4.subrow_4.destroy() end
							
							if game.player.gui.left.menu_tele.rowtele_3.label_menutele_3_1~= nil then game.player.gui.left.menu_tele.rowtele_3.label_menutele_3_1.destroy() end
							if game.player.gui.left.menu_tele.rowtele_3.label_menutele_3_2~= nil then game.player.gui.left.menu_tele.rowtele_3.label_menutele_3_2.destroy() end
							if game.player.gui.left.menu_tele.rowtele_3.label_menutele_3_3~= nil then game.player.gui.left.menu_tele.rowtele_3.label_menutele_3_3.destroy() end
							if game.player.gui.left.menu_tele.rowtele_3.label_menutele_3_4~= nil then game.player.gui.left.menu_tele.rowtele_3.label_menutele_3_4.destroy() end
							if game.player.gui.left.menu_tele.rowtele_3.label_menutele_3_5~= nil then game.player.gui.left.menu_tele.rowtele_3.label_menutele_3_5.destroy() end
							
						end
						
					
					end
				end

			end
		
		
			if glob.teleins.direction[glob.menuteledevicenumber] == "output" then
			
				if glob.teledevicenamerefresh == true and game.player.gui.left.menu_tele.rowtele_0 ~= nil then game.player.gui.left.menu_tele.rowtele_0.teleinserterchestname.caption = glob.desiredname[glob.menuteledevicenumber] end
			
				--game.player.print("222222222222222222222222222222222222")
				local single = false
				for k, teleins in ipairs(glob.teleins) do
					if teleins.valid then	
						
						if glob.teleins[k].position.x == glob.teleins.connections[glob.menuteledevicenumber][1].position.x and glob.teleins[k].position.y == glob.teleins.connections[glob.menuteledevicenumber][1].position.y then
							
							if #glob.teleins.connections[k] > 1 then single = false else single = true end
							--if single == false then game.player.print("false") else game.player.print("true") end
							
						end
						
					end
				end	
				
			
			
				if single == false then
				
					if glob.teleins.connections[glob.menuteledevicenumber] ~= nil then
						if #glob.teleins.connections[glob.menuteledevicenumber] ~= nil and glob.teleins.connections[glob.menuteledevicenumber][1] ~= nil then 
							game.player.gui.left.menu_tele.rowtele_2.label_menutele_2_1.caption="Connected to:"
							
							aktualizuj_menu_teleinschest_1()
							
						else -- to jest if connection devices = 0 
							if glob.conncetingdevice ~= true then
								game.player.gui.left.menu_tele.rowtele_2.label_menutele_2_1.caption="Device not conncected"
								if game.player.gui.left.menu_tele.rowtele_4.subrow_1 ~= nil then game.player.gui.left.menu_tele.rowtele_4.subrow_1.destroy() end
								if game.player.gui.left.menu_tele.rowtele_4.subrow_2 ~= nil then game.player.gui.left.menu_tele.rowtele_4.subrow_2.destroy() end
								if game.player.gui.left.menu_tele.rowtele_4.subrow_3 ~= nil then game.player.gui.left.menu_tele.rowtele_4.subrow_3.destroy() end
								if game.player.gui.left.menu_tele.rowtele_4.subrow_4 ~= nil then game.player.gui.left.menu_tele.rowtele_4.subrow_4.destroy() end
								
								if game.player.gui.left.menu_tele.rowtele_3.label_menutele_3_1~= nil then game.player.gui.left.menu_tele.rowtele_3.label_menutele_3_1.destroy() end
								if game.player.gui.left.menu_tele.rowtele_3.label_menutele_3_2~= nil then game.player.gui.left.menu_tele.rowtele_3.label_menutele_3_2.destroy() end
								if game.player.gui.left.menu_tele.rowtele_3.label_menutele_3_3~= nil then game.player.gui.left.menu_tele.rowtele_3.label_menutele_3_3.destroy() end
								if game.player.gui.left.menu_tele.rowtele_3.label_menutele_3_4~= nil then game.player.gui.left.menu_tele.rowtele_3.label_menutele_3_4.destroy() end
								if game.player.gui.left.menu_tele.rowtele_3.label_menutele_3_5~= nil then game.player.gui.left.menu_tele.rowtele_3.label_menutele_3_5.destroy() end
								
							end
							
						
						end
					end
				end
			
				if single == true then
				
					if glob.teleins.connections[glob.menuteledevicenumber] ~= nil then
						if #glob.teleins.connections[glob.menuteledevicenumber] ~= nil and glob.teleins.connections[glob.menuteledevicenumber][1] ~= nil then 
							game.player.gui.left.menu_tele.rowtele_2.label_menutele_2_1.caption="Connected to:"
							
							aktualizuj_menu_teleinschest_1()
							
						else -- to jest if connection devices = 0 
							if glob.conncetingdevice ~= true then
								game.player.gui.left.menu_tele.rowtele_2.label_menutele_2_1.caption="Device not conncected"
								if game.player.gui.left.menu_tele.rowtele_4.subrow_1 ~= nil then game.player.gui.left.menu_tele.rowtele_4.subrow_1.destroy() end
								if game.player.gui.left.menu_tele.rowtele_4.subrow_2 ~= nil then game.player.gui.left.menu_tele.rowtele_4.subrow_2.destroy() end
								if game.player.gui.left.menu_tele.rowtele_4.subrow_3 ~= nil then game.player.gui.left.menu_tele.rowtele_4.subrow_3.destroy() end
								if game.player.gui.left.menu_tele.rowtele_4.subrow_4 ~= nil then game.player.gui.left.menu_tele.rowtele_4.subrow_4.destroy() end
								
								if game.player.gui.left.menu_tele.rowtele_3.label_menutele_3_1~= nil then game.player.gui.left.menu_tele.rowtele_3.label_menutele_3_1.destroy() end
								if game.player.gui.left.menu_tele.rowtele_3.label_menutele_3_2~= nil then game.player.gui.left.menu_tele.rowtele_3.label_menutele_3_2.destroy() end
								if game.player.gui.left.menu_tele.rowtele_3.label_menutele_3_3~= nil then game.player.gui.left.menu_tele.rowtele_3.label_menutele_3_3.destroy() end
								if game.player.gui.left.menu_tele.rowtele_3.label_menutele_3_4~= nil then game.player.gui.left.menu_tele.rowtele_3.label_menutele_3_4.destroy() end
								if game.player.gui.left.menu_tele.rowtele_3.label_menutele_3_5~= nil then game.player.gui.left.menu_tele.rowtele_3.label_menutele_3_5.destroy() end
								
							end
							
						
						end
					end

				end
					
				
			end
		
			if glob.teleins.direction[glob.menuteledevicenumber] == "" then
				
				if glob.teledevicenamerefresh == true and game.player.gui.left.menu_tele.rowtele_0 ~= nil then game.player.gui.left.menu_tele.rowtele_0.teleinserterchestname.caption = glob.desiredname[glob.menuteledevicenumber] end
				
				--game.player.print("3333333333333333333333333333333333333")
				game.player.gui.left.menu_tele.rowtele_2.label_menutele_2_1.caption="Device not conncected"
				if game.player.gui.left.menu_tele.rowtele_4.subrow_1 ~= nil then game.player.gui.left.menu_tele.rowtele_4.subrow_1.destroy() end
				if game.player.gui.left.menu_tele.rowtele_4.subrow_2 ~= nil then game.player.gui.left.menu_tele.rowtele_4.subrow_2.destroy() end
				if game.player.gui.left.menu_tele.rowtele_4.subrow_3 ~= nil then game.player.gui.left.menu_tele.rowtele_4.subrow_3.destroy() end
				if game.player.gui.left.menu_tele.rowtele_4.subrow_4 ~= nil then game.player.gui.left.menu_tele.rowtele_4.subrow_4.destroy() end
					
				if game.player.gui.left.menu_tele.rowtele_3.label_menutele_3_1~= nil then game.player.gui.left.menu_tele.rowtele_3.label_menutele_3_1.destroy() end
				if game.player.gui.left.menu_tele.rowtele_3.label_menutele_3_2~= nil then game.player.gui.left.menu_tele.rowtele_3.label_menutele_3_2.destroy() end
				if game.player.gui.left.menu_tele.rowtele_3.label_menutele_3_3~= nil then game.player.gui.left.menu_tele.rowtele_3.label_menutele_3_3.destroy() end
				if game.player.gui.left.menu_tele.rowtele_3.label_menutele_3_4~= nil then game.player.gui.left.menu_tele.rowtele_3.label_menutele_3_4.destroy() end
				if game.player.gui.left.menu_tele.rowtele_3.label_menutele_3_5~= nil then game.player.gui.left.menu_tele.rowtele_3.label_menutele_3_5.destroy() end
				
			end
			
		
		end
		
	end	
		
		
	if game.tick%10==0 then -- aktualizacja danych w menu teleportu
		
		if game.player.gui.left.menu_teleporter ~= nil then
						
			if glob.teleportnamerefresh == true then game.player.gui.left.menu_teleporter.row_1.teleport_name.caption=glob.teleporter.name[glob.selectedteleporter] end
			
			if game.player.gui.left.menu_teleporter.devices_list.list == nil then
				game.player.gui.left.menu_teleporter.devices_list.add({type="flow",name="list",direction="vertical"})
				game.player.gui.left.menu_teleporter.devices_list.add({type="flow",name="list2",direction="vertical"})
				game.player.gui.left.menu_teleporter.devices_list.add({type="flow",name="list3",direction="vertical"})
				
				local i = 0
				for k, teleporter in ipairs(glob.teleporter) do
					if teleporter.valid then	
						
						if k ~= glob.selectedteleporter then
							game.player.gui.left.menu_teleporter.devices_list.list.add({type="label", name="teleporterdevicexname-" .. i, caption=glob.teleporter.name[k]})
							game.player.gui.left.menu_teleporter.devices_list.list["teleporterdevicexname-" .. i].style.maximalwidth = 140
							game.player.gui.left.menu_teleporter.devices_list.list["teleporterdevicexname-" .. i].style.minimalwidth = 140
							game.player.gui.left.menu_teleporter.devices_list.list2.add({type="label", name="telepdevenrgy-" .. i, caption=math.floor(glob.telepoertationpower[k]/100) .. " kJ"})
							game.player.gui.left.menu_teleporter.devices_list.list2["telepdevenrgy-" .. i].style.maximalwidth = 100
							game.player.gui.left.menu_teleporter.devices_list.list2["telepdevenrgy-" .. i].style.minimalwidth = 100
							
							local pos_x = glob.teleporter[k].position.x
							local pos_y = glob.teleporter[k].position.y

							local pos_x2 = glob.teleporter[glob.selectedteleporter].position.x
							local pos_y2 = glob.teleporter[glob.selectedteleporter].position.y
							
							local distancebetween = math.sqrt( (pos_x-pos_x2)*(pos_x-pos_x2)+(pos_y-pos_y2)*(pos_y-pos_y2) )
							
							--(10^(X/50))*44000
							local base = 10
							local exponent = ((distancebetween*0.4)/100)
							local power = math.pow(base,exponent)
							power = power * 500000 * 1.5
							
							local wielokrotnosc = " kJ"
							local divider = 1
							local energy = (power/100) -- thx to /100 value is in kJ
							if energy > 5000 then wielokrotnosc = " MJ" divider = 1000 end
							local dziesiatki = math.floor(energy/divider)
							local jednosci = math.floor(10*((energy/divider) - math.floor(energy/divider)))
							local nnumber = dziesiatki + jednosci/10
							
							game.player.gui.left.menu_teleporter.devices_list.list3.add({type="label", name="telepneedenrgy-" .. i, caption=nnumber .. wielokrotnosc})
							
							
							i=i+1
						end
						
					end
				end
				
			end

			--energy refresh
			local nname = "Current Device Energy: "
			local wielokrotnosc = " kJ"
			local divider = 1
			local energy = (glob.telepoertationpower[glob.selectedteleporter]/100) -- value in kJ
			if energy > 5000 then wielokrotnosc = " MJ" divider = 1000 end
			local dziesiatki = math.floor(energy/divider)
			local jednosci = math.floor(10*((energy/divider) - math.floor(energy/divider)))
			local nnumber = dziesiatki + jednosci/10
			game.player.gui.left.menu_teleporter.row_2.label_menutele_2_1.caption = nname .. nnumber .. wielokrotnosc
			--game.player.gui.left.menu_teleporter.row_2.label_menutele_2_1.caption = nname .. energy .. " kJ"
			--game.player.print(nname .. nnumber .. wielokrotnosc .. "    " .. dziesiatki .. "   " .. jednosci)
			
			if game.player.gui.left.menu_teleporter.devices_list.list2 ~= nil then
				local i = 0
				for k, teleporter in ipairs(glob.teleporter) do
					if teleporter.valid then	
						
						if k ~= glob.selectedteleporter then
						
							local wielokrotnosc = " kJ"
							local divider = 1
							local energy = (glob.telepoertationpower[k]/100) -- value in kJ
							if energy > 5000 then wielokrotnosc = " MJ" divider = 1000 end
							local dziesiatki = math.floor(energy/divider)
							local jednosci = math.floor(10*((energy/divider) - math.floor(energy/divider)))
							local nnumber = dziesiatki + jednosci/10
						
							game.player.gui.left.menu_teleporter.devices_list.list2["telepdevenrgy-" .. i].caption = nnumber .. wielokrotnosc
							--game.player.gui.left.menu_teleporter.devices_list.list2["telepdevenrgy-" .. i].caption=math.floor(glob.telepoertationpower[k]/100) .. " kJ"
							i=i+1
						end
						
					end
				end
			end
			--end energy refresh
			
			
			if glob.telepoertationstart == true then
				if game.player.gui.left.menu_teleporter.poweringteleporter1.inputbar == nil then
					game.player.gui.left.menu_teleporter.poweringteleporter1.add({type="label", name="telestartpoint", caption="Start Point"})
					game.player.gui.left.menu_teleporter.poweringteleporter1.telestartpoint.style.maximalwidth = 65
					game.player.gui.left.menu_teleporter.poweringteleporter1.telestartpoint.style.minimalwidth = 65
					game.player.gui.left.menu_teleporter.poweringteleporter1.add{name="inputbar", type="progressbar", size=1}
					game.player.gui.left.menu_teleporter.poweringteleporter1.add({type="label", name="percentteleport1", caption=""})
				end
				if game.player.gui.left.menu_teleporter.poweringteleporter2.outputbar == nil then
					game.player.gui.left.menu_teleporter.poweringteleporter2.add({type="label", name="teleendpoint", caption="End Point"})
					game.player.gui.left.menu_teleporter.poweringteleporter2.teleendpoint.style.maximalwidth = 65
					game.player.gui.left.menu_teleporter.poweringteleporter2.teleendpoint.style.minimalwidth = 65
					game.player.gui.left.menu_teleporter.poweringteleporter2.add{name="outputbar", type="progressbar", size=1}
					game.player.gui.left.menu_teleporter.poweringteleporter2.add({type="label", name="percentteleport2", caption=""})
				end

				if game.player.gui.left.menu_teleporter.poweringteleporter1.inputbar ~= nil then
					game.player.gui.left.menu_teleporter.poweringteleporter1.inputbar.value = glob.telepoertationpower[glob.selectedteleporter]/glob.maxteleportpower
					local dziesiatki = math.floor(glob.telepoertationpower[glob.selectedteleporter]/glob.maxteleportpower*100)
					local jednosci = math.floor(10 * ((glob.telepoertationpower[glob.selectedteleporter]/glob.maxteleportpower*100)-(math.floor(glob.telepoertationpower[glob.selectedteleporter]/glob.maxteleportpower*100))))
					local nnumber = dziesiatki + jednosci/10
					if dziesiatki > 100 then dziesiatki = 100 jednosci = 0 end
					if jednosci == 0 then nnumber = dziesiatki .. ".0" end
					game.player.gui.left.menu_teleporter.poweringteleporter1.percentteleport1.caption = nnumber .. "%"
				end
				
				if game.player.gui.left.menu_teleporter.poweringteleporter2.outputbar ~= nil then
					game.player.gui.left.menu_teleporter.poweringteleporter2.outputbar.value = glob.telepoertationpower[glob.telepoertationdestination]/glob.maxteleportpower
					local dziesiatki = math.floor(glob.telepoertationpower[glob.telepoertationdestination]/glob.maxteleportpower*100)
					local jednosci = math.floor(10 * ((glob.telepoertationpower[glob.telepoertationdestination]/glob.maxteleportpower*100)-(math.floor(glob.telepoertationpower[glob.telepoertationdestination]/glob.maxteleportpower*100))))
					if dziesiatki > 100 then dziesiatki = 100 jednosci = 0 end
					local nnumber = dziesiatki + jednosci/10
					if jednosci == 0 then nnumber = dziesiatki .. ".0" end
					game.player.gui.left.menu_teleporter.poweringteleporter2.percentteleport2.caption = nnumber .. "%"
				end
			
			
				
				--glob.telepoertation.destination = k
				
			end
			
			
			
		end
		
	end
		
		
	if game.tick%10==0 and glob.telepoertationstart == true then	-- zasilanie teleportu
		if glob.teleporter[glob.selectedteleporter].energy > 0 and glob.telepoertationpower[glob.selectedteleporter] < glob.maxteleportpower then 
			if glob.telepoertationpower[glob.selectedteleporter] + glob.teleporter[glob.selectedteleporter].energy < glob.maxteleportpower then 
				glob.telepoertationpower[glob.selectedteleporter] = glob.telepoertationpower[glob.selectedteleporter] + glob.teleporter[glob.selectedteleporter].energy
			else
				glob.telepoertationpower[glob.selectedteleporter] = glob.maxteleportpower
			end
			glob.teleporter[glob.selectedteleporter].energy = 0
		end
	
		if glob.teleporter[glob.telepoertationdestination].energy > 0 and glob.telepoertationpower[glob.telepoertationdestination] < glob.maxteleportpower then 
			if glob.telepoertationpower[glob.telepoertationdestination] + glob.teleporter[glob.telepoertationdestination].energy < glob.maxteleportpower then 
				glob.telepoertationpower[glob.telepoertationdestination] = glob.telepoertationpower[glob.telepoertationdestination] + glob.teleporter[glob.telepoertationdestination].energy
			else
				glob.telepoertationpower[glob.telepoertationdestination] = glob.maxteleportpower
			end
			glob.teleporter[glob.telepoertationdestination].energy = 0
		end	
	
	end
	

	
	if game.tick%10==0 then	-- slow power teleporter decreasing 

		if glob.telepoertationstart == false then 
			for k=1, #glob.telepoertationpower, 1 do
					
					if glob.telepoertationpower[k] > 0 then 
						
						if glob.telepoertationpower[k] - glob.teleportstepdecresing < 0 then  glob.telepoertationpower[k] = 0 end
						if glob.telepoertationpower[k] - glob.teleportstepdecresing > 0 then 
							glob.telepoertationpower[k] = glob.telepoertationpower[k] - glob.teleportstepdecresing
							--game.player.print("dev no " .. k .. "  power: " .. glob.telepoertationpower[k])
						end
						
					end
				
			end
		end
	
	
		if glob.telepoertationstart == true then
			for k=1, #glob.telepoertationpower, 1 do
				
				if k ~= glob.selectedteleporter and k ~= glob.telepoertationdestination then
					
					if glob.telepoertationpower[k] > 0 then 
						
						if glob.telepoertationpower[k] - glob.teleportstepdecresing < 0 then  glob.telepoertationpower[k] = 0 end
						if glob.telepoertationpower[k] - glob.teleportstepdecresing > 0 then 
							glob.telepoertationpower[k] = glob.telepoertationpower[k] - glob.teleportstepdecresing
							--game.player.print("dev no " .. k .. "  power: " .. glob.telepoertationpower[k])
						end
						
					end
					
				end
				
			end
		end
	
	end
	
	
	if game.tick%10==0 then -- zmien teleporter na active ale bez urzycia pradu gry jego power jest na poziomie 100% czyli gdy jest gotowy do telepostacji
		if glob.selectedteleporter ~= 0 then
			if glob.telepoertationpower[glob.selectedteleporter] >= glob.maxteleportpower and glob.teleporter[glob.selectedteleporter].name ~= "teleporter-activenp" and glob.telepoertationstart == true then	
				local pos_x = glob.teleporter[glob.selectedteleporter].position.x
				local pos_y = glob.teleporter[glob.selectedteleporter].position.y
				local health = glob.teleporter[glob.selectedteleporter].health
				glob.teleporter[glob.selectedteleporter].destroy()
				glob.teleporter[glob.selectedteleporter] = game.createentity{name = "teleporter-activenp", position= {pos_x, pos_y}, force=game.forces.player}
				glob.teleporter[glob.selectedteleporter].health = health
			end
		end
		
		if glob.telepoertationdestination ~= 0 then
			if glob.telepoertationpower[glob.telepoertationdestination] >= glob.maxteleportpower and glob.teleporter[glob.telepoertationdestination].name ~= "teleporter-activenp" and glob.telepoertationstart == true then
				local pos_x = glob.teleporter[glob.telepoertationdestination].position.x
				local pos_y = glob.teleporter[glob.telepoertationdestination].position.y
				local health = glob.teleporter[glob.telepoertationdestination].health
				glob.teleporter[glob.telepoertationdestination].destroy()
				glob.teleporter[glob.telepoertationdestination] = game.createentity{name = "teleporter-activenp", position= {pos_x, pos_y}, force=game.forces.player}
				glob.teleporter[glob.telepoertationdestination].health = health
			end
		end
		
		
	end
	
	
	
	if game.tick%10==0 and glob.telepoertationstart == true then	-- true teleporting when power is 100%
		
		if glob.telepoertationpower[glob.selectedteleporter] >= glob.maxteleportpower and glob.telepoertationpower[glob.telepoertationdestination] >= glob.maxteleportpower then
	
			if game.player.gui.left.menu_teleporter ~= nil then
				glob.teleporter.name[glob.selectedteleporter] = game.player.gui.left.menu_teleporter.row_1.teleport_name.text
				game.player.gui.left.menu_teleporter.destroy()
				glob.teleportnamerefresh = true	
			end
			
			--glob.telepoertationpower[glob.selectedteleporter] = 0
			--glob.telepoertationpower[glob.telepoertationdestination] = 0
			
			glob.telepoertationpower[glob.selectedteleporter] = glob.telepoertationpower[glob.selectedteleporter] - glob.maxteleportpower
			glob.telepoertationpower[glob.telepoertationdestination] = glob.telepoertationpower[glob.telepoertationdestination] - glob.maxteleportpower
			
			local pos_x = glob.teleporter[glob.telepoertationdestination].position.x
			local pos_y = glob.teleporter[glob.telepoertationdestination].position.y+0.75
			local position={pos_x, pos_y}
			
		
			local pos_x = glob.teleporter[glob.telepoertationdestination].position.x
			local pos_y = glob.teleporter[glob.telepoertationdestination].position.y
			local health = glob.teleporter[glob.telepoertationdestination].health
			glob.teleporter[glob.telepoertationdestination].destroy()
			glob.teleporter[glob.telepoertationdestination] = game.createentity{name = "teleporter", position= {pos_x, pos_y}, force=game.forces.player}
			glob.teleporter[glob.telepoertationdestination].health = health

			
			local pos_x = glob.teleporter[glob.selectedteleporter].position.x
			local pos_y = glob.teleporter[glob.selectedteleporter].position.y
			local health = glob.teleporter[glob.selectedteleporter].health
			glob.teleporter[glob.selectedteleporter].destroy()
			glob.teleporter[glob.selectedteleporter] = game.createentity{name = "teleporter", position= {pos_x, pos_y}, force=game.forces.player}
			glob.teleporter[glob.selectedteleporter].health = health
			
			game.player.teleport(position)			
			
			glob.telepoertationstart = false
			glob.telepoertationdestination = 0
			
		end
		
	end
	
		
	for k, teleins in ipairs(glob.teleins) do
		if teleins.valid then	
			if glob.teleins.direction[k] == "" then glob.teleins[k].active = false end
			if glob.teleins.direction[k] == "output" then glob.teleins[k].active = true end
			--if glob.teleins.direction[k] == "input" or glob.teleins.direction[k] == "output" and glob.teleins[k].heldstack == nil then glob.teleins[k].active = true end	
		end
	end	
	
	
	
if game.tick%1==0 then  -- działanie właściwie

	for k, teleins in ipairs(glob.teleins) do
		if teleins.valid then
			
		--[[	if glob.teleins.direction[k] == "output" then
				for i=1, #teleinsnames, 1 do
					if glob.teleins.name == teleinsnames[i] then
						if glob.teleins[k].heldstack == nil then
					
							glob.teleins[k].active = false
						
						end
					end	
				end
			end]]--
			
			if glob.teleins.direction[k] == "input" and glob.teleins.connections[k] ~= nil then -- być moze trzeba dodać warunek glob.teleins.connections[k] ~= 0
				local speedtele = 10
				
				--spped detect old
			--	for i=1, #teleinsnames, 1 do
			--		if glob.teleins[k].name == teleinsnames[i] then
			--			speedtele = telespeeds[i]
			--		end
			--	end
				--end speed detect old
				
				local x1,y1,x2,y2,x3,y3,x4,y4,x5,y5,x6,y6
				x1, y1 = string.find(glob.teleins[k].name, "mk1")
				x2, y2 = string.find(glob.teleins[k].name, "mk2")	
				x3, y3 = string.find(glob.teleins[k].name, "mk3")		
				x4, y4 = string.find(glob.teleins[k].name, "mk4")		
				x5, y5 = string.find(glob.teleins[k].name, "chest")		
				x6, y6 = string.find(glob.teleins[k].name, "inserter")
				
				if x1~=nil and y1~=nil and x6~= nil and y6~=nil then speedtele = telespeeds[1] end
				if x2~=nil and y2~=nil and x6~= nil and y6~=nil then speedtele = telespeeds[2] end
				if x3~=nil and y3~=nil and x6~= nil and y6~=nil then speedtele = telespeeds[3] end
				if x4~=nil and y4~=nil and x6~= nil and y6~=nil then speedtele = telespeeds[4] end
				
				--game.player.print("speed " .. speedtele)
				if game.tick%speedtele==0 then
				
				
					if glob.teleins[k].heldstack ~= nil then -- jezeli tzreymasz cos w rece
						--game.player.print(glob.teleins[k].heldstack.name)
						
						for i=1, #teleinsnames, 1 do -- działa gdy jest tylko jedno połączenie
							if glob.teleins.connections[k][1].name == teleinsnames[i] and #glob.teleins.connections[k] == 1 then
								
								glob.teleins[k].active = false
								--game.player.print("not active")
								
								if glob.teleins.connections[k][1].heldstack == nil then
									glob.teleins.connections[k][1].heldstack = {name = glob.teleins[k].heldstack.name, count = glob.teleins[k].heldstack.count}
									glob.teleins[k].heldstack = nil
									
									--glob.teleins[4].energy = 0
									
									glob.teleins[k].active = true
									
									
									--game.player.print("dev no " .. 4 .. "power  " .. glob.teleins[4].energy .. " tick " .. game.tick)	
									--game.player.print("active")
								end
			
							end
						end
						
						
						
						for i=1, #glob.teleins.connections[k], 1 do
							--game.player.print("connection no " .. i)
							for j=1, #teleinsnames, 1 do
								if glob.teleins.connections[k][i].name == teleinsnames[j] and #glob.teleins.connections[k] > 1 then --sprawdz czy jest to inserter oraz czy jest wiecej niż 1 połączenie
									
									if glob.teleins[k].heldstack ~= nil then -- sprawcz czy input trzyma cos w rece??
										
										glob.teleins[k].active = false
										--game.player.print(">1 heldstack " .. glob.teleins[k].heldstack.name .. "    filter: " .. glob.teleins.filter[k][i])
										
										
											if glob.teleins[k].heldstack.name == glob.teleins.filter[k][i] then
												--game.player.print("filter ok")	
												if glob.teleins.connections[k][i].heldstack == nil then
													--glob.teleins[k].active = false
													glob.teleins.connections[k][i].heldstack = {name = glob.teleins[k].heldstack.name, count = glob.teleins[k].heldstack.count}
													glob.teleins[k].heldstack = nil
													glob.teleins[k].active = true
												else
													--game.player.print("full")
												end
											end
											
										
									end
									
								end
							end
						end
						
						
						local x1,y1,x2,y2,x3,y3,x4,y4,x5,y5,x6,y6
						x1, y1 = string.find(glob.teleins.connections[k][1].name, "mk1")
						x2, y2 = string.find(glob.teleins.connections[k][1].name, "mk2")	
						x3, y3 = string.find(glob.teleins.connections[k][1].name, "mk3")		
						x4, y4 = string.find(glob.teleins.connections[k][1].name, "mk4")		
						x5, y5 = string.find(glob.teleins.connections[k][1].name, "chest")		
						x6, y6 = string.find(glob.teleins.connections[k][1].name, "inserter")
						
						--to i tak nie zadziala bo chest nie moze byc input---- chest can not be input
						--if glob.teleins.connections[k][1].name == "tele-chest-mk1" and #glob.teleins.connections[k] == 1 then
						if (x5~=nil) and (x1 ~= nil or x2 ~= nil or x3 ~= nil) and #glob.teleins.connections[k] == 1 then
						
							--game.player.print("tututututututututuutut")
							glob.teleins[k].active = false
							--game.player.print("not active")
							
							if glob.teleins.connections[k][1].caninsert({name=glob.teleins[k].heldstack.name, count = glob.teleins[k].heldstack.count}) == true then
								glob.teleins.connections[k][1].insert({name=glob.teleins[k].heldstack.name, count = glob.teleins[k].heldstack.count})
								glob.teleins[k].heldstack = nil
								glob.teleins[k].active = true
								
								--game.player.print("dev no " .. k .. "power  " .. glob.teleins[k].energy)
								--if glob.teleins[k].energy > 0 then glob.teleins[k].energy = glob.teleins[k].energy+10000 end
								--game.player.print("dev no " .. k .. "power  " .. glob.teleins[k].energy)
								
							end
		
						end
						
		
						for i=1, #glob.teleins.connections[k], 1 do
							--for j=1, #teleinsnames, 1 do
								--if glob.teleins.connections[k][i].name == "tele-chest-mk1" and #glob.teleins.connections[k] > 1 then --sprawdz czy jest to inserter
								
								local x1,y1,x2,y2,x3,y3,x4,y4,x5,y5,x6,y6
								x1, y1 = string.find(glob.teleins.connections[k][i].name, "mk1")
								x2, y2 = string.find(glob.teleins.connections[k][i].name, "mk2")	
								x3, y3 = string.find(glob.teleins.connections[k][i].name, "mk3")		
								x4, y4 = string.find(glob.teleins.connections[k][i].name, "mk4")		
								x5, y5 = string.find(glob.teleins.connections[k][i].name, "chest")		
								x6, y6 = string.find(glob.teleins.connections[k][i].name, "inserter")
								
								if (x5~=nil) and (x1 ~= nil or x2 ~= nil or x3 ~= nil) and #glob.teleins.connections[k] > 1 then
									
									
									if glob.teleins[k].heldstack ~= nil then
										glob.teleins[k].active = false
										
										if glob.teleins[k].heldstack.name == glob.teleins.filter[k][i] then
											--game.player.print("filter ok")	
											
											if glob.teleins.connections[k][i].caninsert({name=glob.teleins[k].heldstack.name, count = glob.teleins[k].heldstack.count}) == true then
												glob.teleins.connections[k][i].insert({name=glob.teleins[k].heldstack.name, count = glob.teleins[k].heldstack.count})
												glob.teleins[k].heldstack = nil
												glob.teleins[k].active = true
											end
											
										end
										
									end
									
								end
							--end
						end
						
		
		
		
					end
				end
	
			end
	
		end
	end
	
end



draw_direction_lines()


end)

function initialization()
	
	if glob.maxteleentities == nil then
		glob.maxteleentities = 0											
	end	
	
	
	local rcp_name_start = "tele-inserter-mk1"
	local max_rcp = 0
	local rcp_name = rcp_name_start
 	
	while game.entityprototypes[rcp_name] ~= nil do
		max_rcp = max_rcp + 1
		rcp_name = rcp_name_start .. "-" .. max_rcp	
	end
	max_rcp = max_rcp - 1
	--game.player.print("max_rcp is " .. max_rcp)
	glob.maxteleentities = max_rcp
	
	
	--if game.player.force.technologies["tele-logistics-mk1"].researched == true then  end
	
	
	if game.player.gui.top.debug == nil and test_debug == true then	
		game.player.gui.top.add{type = "button", name="debug", caption="DEBUG", fontcolor = {r = 1, g = 1, b = 1}}
	end

	if game.player.gui.top.debug ~= nil and test_debug == false then	
		game.player.gui.top.debug.destroy()
	end
	
	if glob.teleins == nil then
		glob.teleins = {}												
	end	
	
	if glob.teleins.direction == nil then
		glob.teleins.direction = {}												
	end	
	
	if glob.teleins.connections == nil then
		glob.teleins.connections = {}													
	end	
	
	if glob.teleins.filter == nil then
		glob.teleins.filter = {}													
	end	
	
	if glob.teletimer ~= nil then
		glob.teletimer = nil
	end
	if glob.teletimer == nil then
		glob.teletimer = {0,0,0,0}											
	end

	if glob.menuteledevicenumber == nil then
		glob.menuteledevicenumber = 0										
	end	
	
	if glob.conncetingdevice == nil then
		glob.conncetingdevice = false									
	end	
	
	if glob.timer2start == nil then
		glob.timer2start = false								
	end	
	
	if glob.filter_menu_num == nil then
		glob.filter_menu_num = 0								
	end	

	if glob.teledied == nil then
		glob.teledied = false								
	end	
	
	if glob.telediedname == nil then
		glob.telediedname = ""								
	end	
	
	if glob.telediedposition == nil then
		glob.telediedposition = {x=0, y=0}						
	end	
	
	if glob.teledistance == nil then
		glob.teledistance = {}						
	end	
	
	if glob.teleporter == nil then
		glob.teleporter = {}						
	end		
	
	if glob.teleporter.name == nil then
		glob.teleporter.name = {}						
	end	
	
	if glob.selectedteleporter == nil then
		glob.selectedteleporter = 0 					
	end	
	
	if glob.teleportnamerefresh == nil then
		glob.teleportnamerefresh = true					
	end	
	
	if glob.telepoertationstart == nil then
		glob.telepoertationstart = false					
	end	
	
	if glob.telepoertationdestination == nil then
		glob.telepoertationdestination = 0			
	end	
		
	if glob.telepoertationpower == nil then
		glob.telepoertationpower = {}		
	end		

	if glob.maxteleportpower == nil then
		glob.maxteleportpower = 1000000	
	end		

	if glob.teleportstepdecresing == nil then
		glob.teleportstepdecresing = glob.maxteleportpower * 0.005
	end
	
	if glob.menuteledevicetype == nil then
		glob.menuteledevicetype = ""								
	end	

	if glob.showtelepath == nil then
		glob.showtelepath = false	 							
	end	
	
	if glob.desiredname == nil then
		glob.desiredname = {}												
	end	
	
	if glob.teledevicenamerefresh == nil then
		glob.teledevicenamerefresh = true					
	end
	
	if glob.refreshconnmenu == nil then
		glob.refreshconnmenu = false					
	end
	
end

function createtelegui()  -- pozmienieaj nazwy wszystkiego bo sa takie same jak w forceshield
glob.teledevicenamerefresh = true

	game.player.gui.left.add({type="frame", name="menu_tele", caption="tele settings",direction="vertical"})
	
	game.player.gui.left.menu_tele.add({type="flow",name="rowtele_0",direction="horizontal"})
	game.player.gui.left.menu_tele.rowtele_0.add({type="label", name="label_menutele_0_0", caption="Device name:"})
	game.player.gui.left.menu_tele.rowtele_0.add({type="textfield", name="teleinserterchestname", caption="", style="lim_textfield_style"})
		game.player.gui.left.menu_tele.rowtele_0.label_menutele_0_0.style.font="default-bold"
	
	game.player.gui.left.menu_tele.add({type="flow",name="rowtele_1",direction="horizontal"})
	game.player.gui.left.menu_tele.rowtele_1.add({type="button", name="cto", caption="Connect to output"})
	game.player.gui.left.menu_tele.rowtele_1.add({type="button", name="dcto", caption="DisConnect from output"})
	--game.player.gui.left.menu_tele.rowtele_1.add({type="button", name="af", caption="Apply filter"})	
		mw = 235
		game.player.gui.left.menu_tele.rowtele_1.cto.style.maximalwidth=mw
		game.player.gui.left.menu_tele.rowtele_1.cto.style.minimalwidth=mw
		game.player.gui.left.menu_tele.rowtele_1.dcto.style.maximalwidth=mw
		game.player.gui.left.menu_tele.rowtele_1.dcto.style.minimalwidth=mw		
	
	game.player.gui.left.menu_tele.add({type="flow",name="blank1",direction="horizontal"})
		
	game.player.gui.left.menu_tele.add({type="flow",name="rowtele_2",direction="horizontal"})
	game.player.gui.left.menu_tele.rowtele_2.add({type="label", name="label_menutele_2_0", caption="", style="caption_label_style_tele_label"})
	game.player.gui.left.menu_tele.rowtele_2.add({type="label", name="label_menutele_2_1", caption="Connected to:", style="caption_label_style_tele_label"})
		game.player.gui.left.menu_tele.rowtele_2.label_menutele_2_1.style.font="default-bold"
		--game.player.gui.left.menu_tele.rowtele_2.label_menutele_2_1.style.minimalwidth=85
		game.player.gui.left.menu_tele.rowtele_2.label_menutele_2_0.style.minimalwidth=160
	
	game.player.gui.left.menu_tele.add({type="flow",name="rowtele_3",direction="horizontal"})
	game.player.gui.left.menu_tele.rowtele_3.add({type="label", name="label_menutele_3_1", caption="No"})
	game.player.gui.left.menu_tele.rowtele_3.add({type="label", name="label_menutele_3_2", caption="Name"})
	game.player.gui.left.menu_tele.rowtele_3.add({type="label", name="label_menutele_3_3", caption="X"})
	game.player.gui.left.menu_tele.rowtele_3.add({type="label", name="label_menutele_3_4", caption="Y"})
	game.player.gui.left.menu_tele.rowtele_3.add({type="label", name="label_menutele_3_5", caption="Filter"})
		game.player.gui.left.menu_tele.rowtele_3.label_menutele_3_1.style.font="default-bold"
		game.player.gui.left.menu_tele.rowtele_3.label_menutele_3_2.style.font="default-bold"
		game.player.gui.left.menu_tele.rowtele_3.label_menutele_3_3.style.font="default-bold"
		game.player.gui.left.menu_tele.rowtele_3.label_menutele_3_4.style.font="default-bold"
		game.player.gui.left.menu_tele.rowtele_3.label_menutele_3_5.style.font="default-bold"
		game.player.gui.left.menu_tele.rowtele_3.label_menutele_3_1.style.minimalwidth=85
		game.player.gui.left.menu_tele.rowtele_3.label_menutele_3_2.style.minimalwidth=120
		game.player.gui.left.menu_tele.rowtele_3.label_menutele_3_3.style.minimalwidth=45
		game.player.gui.left.menu_tele.rowtele_3.label_menutele_3_4.style.minimalwidth=95

		
	game.player.gui.left.menu_tele.add({type="flow",name="rowtele_4",direction="vertical"})
	--game.player.gui.left.menu_tele.rowtele_4.add({type="flow",name="subrow_1",direction="horizontal"})
	--game.player.gui.left.menu_tele.rowtele_4.add({type="flow",name="subrow_2",direction="horizontal"})
	--game.player.gui.left.menu_tele.rowtele_4.rowtele_5.add({type="label", name="label_menutele_2_1", caption="no"})
	--game.player.gui.left.menu_tele.rowtele_4.rowtele_5.add({type="label", name="label_menutele_2_2", caption="connection name"})
	--game.player.gui.left.menu_tele.rowtele_4.rowtele_5.add({type="label", name="label_menutele_2_3", caption="position x"})
	--game.player.gui.left.menu_tele.rowtele_4.rowtele_5.add({type="label", name="label_menutele_2_4", caption="position y"})
		--game.player.gui.left.menu_tele.rowtele_4.rowtele_5.label_menutele_2_1.style.font="default-bold"
		--game.player.gui.left.menu_tele.rowtele_4.rowtele_5.label_menutele_2_2.style.font="default-bold"
		--game.player.gui.left.menu_tele.rowtele_4.rowtele_5.label_menutele_2_1.style.minimalwidth=85
		--game.player.gui.left.menu_tele.rowtele_4.rowtele_5.label_menutele_2_2.style.minimalwidth=70
		
	game.player.gui.left.menu_tele.add({type="flow",name="rowtele_5",direction="horizontal"})
	game.player.gui.left.menu_tele.rowtele_5.add({type="checkbox", name="CheckBoxtele_row_8", caption="Check me to show direction to devices.", state=false})	
	if glob.showtelepath == true then game.player.gui.left.menu_tele.rowtele_5.CheckBoxtele_row_8.state = true else game.player.gui.left.menu_tele.rowtele_5.CheckBoxtele_row_8.state = false end 
	
	--	game.player.gui.left.menu_tele.rowtele_5.add({type="frame", name="test", caption="",direction="vertical",style="frame_tele"})
	--	game.player.gui.left.menu_tele.rowtele_5.test.style.minimalwidth=32
	--	game.player.gui.left.menu_tele.rowtele_5.test.style.minimalheight=32
		
		
	game.player.gui.left.menu_tele.add({type="flow",name="rowtele_end",direction="horizontal"})
	game.player.gui.left.menu_tele.rowtele_end.add({type="button", name="button_menutele_end_1", caption="SAVE AND CLOSE"})
		game.player.gui.left.menu_tele.rowtele_end.button_menutele_end_1.style.font="default-bold"
		mw=480
		game.player.gui.left.menu_tele.rowtele_end.button_menutele_end_1.style.maximalwidth=mw
		game.player.gui.left.menu_tele.rowtele_end.button_menutele_end_1.style.minimalwidth=mw
		
end

function timertele()
-- timer generation
--[[	if game.player.selected ~= nil then
		for i=1, #telenames, 1 do
			if game.player.selected.name == telenames[i] then
				glob.teletimer[1]=glob.teletimer[1]+1
			else
				if glob.timer2start == true then glob.teletimer[2]=glob.teletimer[2]+1 end
			end
		end
	else
		if glob.timer2start == true then glob.teletimer[2]=glob.teletimer[2]+1 end -- jesli selected = nil
	end
	
	local sellectedins = false
	if game.player.selected ~= nil then
		for i=1, #telenames, 1 do
			if game.player.selected.name == telenames[i] then
				sellectedins = true
				--game.player.print("tu tut 11")
				--if glob.timer2start == true then game.player.print("true") else game.player.print("false") end
				glob.teletimer[2]=0
			end
			
		end
	end
	if game.player.selected == nil or sellectedins == false then
		--game.player.print("tu tut 22")
		--if glob.timer2start == true then game.player.print("true") else game.player.print("false") end
		glob.teletimer[1]=0
		sellectedins = nil
	end]]--
--end timer generation






-- new timer generation
	if game.player.selected ~= nil then
		local x1,y1,x2,y2,x3,y3,x4,y4,x5,y5,x6,y6
		x1, y1 = string.find(game.player.selected.name, "mk1")
		x2, y2 = string.find(game.player.selected.name, "mk2")	
		x3, y3 = string.find(game.player.selected.name, "mk3")		
		x4, y4 = string.find(game.player.selected.name, "mk4")		
		x5, y5 = string.find(game.player.selected.name, "chest")		
		x6, y6 = string.find(game.player.selected.name, "inserter")
		
		--game.player.print(game.player.selected.name)
		
		if (x1 ~= nil or x2 ~= nil or x3 ~= nil or x4 ~= nil) and (x5 ~= nil or x6 ~= nil) then
			glob.teletimer[1]=glob.teletimer[1]+1
			--game.player.print("timer 1 " .. glob.teletimer[1])
		else
			if glob.timer2start == true then glob.teletimer[2]=glob.teletimer[2]+1 end
		end
	else
		if glob.timer2start == true then glob.teletimer[2]=glob.teletimer[2]+1 end -- jesli selected = nil
	end



-- new timer generation
	if game.player.selected ~= nil then
		local xx1,yy1,xx2,yy2,xx3,yy3,xx4,yy4,xx5,yy5,xx6,yy6
		xx1, yy1 = string.find(game.player.selected.name, "mk1")
		xx2, yy2 = string.find(game.player.selected.name, "mk2")	
		xx3, yy3 = string.find(game.player.selected.name, "mk3")		
		xx4, yy4 = string.find(game.player.selected.name, "mk4")		
		xx5, yy5 = string.find(game.player.selected.name, "chest")		
		xx6, yy6 = string.find(game.player.selected.name, "inserter")
		
		if (x1 ~= nil or x2 ~= nil or x3 ~= nil or x4 ~= nil) and (x5 ~= nil or x6 ~= nil) then
			sellectedins = true
			glob.teletimer[2]=0
		end
	end
	
	if game.player.selected == nil or sellectedins == false then
		--game.player.print("tu tut 22")
		--if glob.timer2start == true then game.player.print("true") else game.player.print("false") end
		glob.teletimer[1]=0
		sellectedins = nil
	end
--new end timer generation

end


function compatibility_function_1()

	if #glob.teleins ~= #glob.teledistance then
						
		for k, teleins in ipairs(glob.teleins) do
			if teleins.valid then
				
				local tele_distance = 0
				for dd = 1, #glob.teleins.connections[k], 1 do
					local x1 = glob.teleins[k].position.x
					local y1 = glob.teleins[k].position.y
					local x2 = glob.teleins.connections[k][dd].position.x
					local y2 = glob.teleins.connections[k][dd].position.y
					local x = x2 - x1
					local y = y2 - y1
					local teledist = math.sqrt(x*x+y*y)
					tele_distance = tele_distance + teledist
				end
																		
				glob.teledistance[k] = tele_distance	
				
				
				
			end
		end

		
		
	end	

end

function timertele34()
-- timer generation os stand

local resertimer=true
--game.player.print("#glob.teleporter  " .. #glob.teleporter)
	if #glob.teleporter > 0 then
		
		for k, teleporter in ipairs(glob.teleporter) do
			if teleporter.valid then
				
				local pos_x_1=game.player.position.x
				local pos_x_2=glob.teleporter[k].position.x
				local pos_y_1=game.player.position.y
				local pos_y_2=glob.teleporter[k].position.y
				
				pos_y_2=pos_y_2+((-0.3+1.55)/2)   				
				
				local r = math.sqrt((pos_x_1-pos_x_2)*(pos_x_1-pos_x_2)+(pos_y_1-pos_y_2)*(pos_y_1-pos_y_2))
				
				--game.player.print("r = " .. r )
				
				if r < 0.9 then
					
					glob.teletimer[3]=glob.teletimer[3]+1
					glob.selectedteleporter = k
					resertimer=false
					
				end
				
			end
		end	
		
		if resertimer then
			if game.player.gui.left.menu_teleporter ~= nil then
				glob.teleporter.name[glob.selectedteleporter] = game.player.gui.left.menu_teleporter.row_1.teleport_name.text
				game.player.gui.left.menu_teleporter.destroy()
				glob.teleportnamerefresh = true	
			end
			
			if glob.telepoertationstart == true then
				local pos_x = glob.teleporter[glob.telepoertationdestination].position.x
				local pos_y = glob.teleporter[glob.telepoertationdestination].position.y
				local health = glob.teleporter[glob.telepoertationdestination].health
				glob.teleporter[glob.telepoertationdestination].destroy()
				glob.teleporter[glob.telepoertationdestination] = game.createentity{name = "teleporter", position= {pos_x, pos_y}, force=game.forces.player}
				glob.teleporter[glob.telepoertationdestination].health = health

				local pos_x = glob.teleporter[glob.selectedteleporter].position.x
				local pos_y = glob.teleporter[glob.selectedteleporter].position.y
				local health = glob.teleporter[glob.selectedteleporter].health
				glob.teleporter[glob.selectedteleporter].destroy()
				glob.teleporter[glob.selectedteleporter] = game.createentity{name = "teleporter", position= {pos_x, pos_y}, force=game.forces.player}
				glob.teleporter[glob.selectedteleporter].health = health
			end
			
			if glob.selectedteleporter > 0 then
				if glob.teleporter[glob.selectedteleporter].name == "teleporter-green" then
					if glob.teleporter[glob.selectedteleporter].valid then
						local pos_x = glob.teleporter[glob.selectedteleporter].position.x
						local pos_y = glob.teleporter[glob.selectedteleporter].position.y
						local health = glob.teleporter[glob.selectedteleporter].health
						glob.teleporter[glob.selectedteleporter].destroy()
						glob.teleporter[glob.selectedteleporter] = game.createentity{name = "teleporter", position= {pos_x, pos_y}, force=game.forces.player}
						glob.teleporter[glob.selectedteleporter].health = health
					end
				end			
			end
			
			glob.telepoertationstart = false
			glob.telepoertationdestination = 0			
			--glob.telepoertationpower = {0,0}
			glob.teletimer[3]=0
			glob.selectedteleporter = 0
		end	

	end
end



function createtelegui_teleport()  -- pozmienieaj nazwy wszystkiego bo sa takie same jak w forceshield

	if game.player.gui.left.menu_teleporter == nil then
		game.player.gui.left.add({type="frame", name="menu_teleporter", caption="Teleporter menu",direction="vertical"})
			game.player.gui.left.menu_teleporter.style.maximalwidth = 350
			game.player.gui.left.menu_teleporter.style.minimalwidth = 350
		game.player.gui.left.menu_teleporter.add({type="flow",name="blank_1",direction="horizontal"})

		game.player.gui.left.menu_teleporter.add({type="flow",name="row_1",direction="horizontal"})
		game.player.gui.left.menu_teleporter.row_1.add({type="label", name="label_menutele_1_1", caption="Device name: "})
		game.player.gui.left.menu_teleporter.row_1.add({type="textfield", name="teleport_name", caption="", style="lim_textfield_style"})
		--game.player.gui.left.menu_teleporter.row_1.add({type="button", name="teleportsetname", caption="SET", style="lim_inv_button"})
			game.player.gui.left.menu_teleporter.row_1.label_menutele_1_1.style.font="default-bold"
		
		game.player.gui.left.menu_teleporter.add({type="flow",name="row_2",direction="horizontal"})
		game.player.gui.left.menu_teleporter.row_2.add({type="label", name="label_menutele_2_1", caption="Current Device Energy:"})
			game.player.gui.left.menu_teleporter.row_2.label_menutele_2_1.style.font="default-bold"
		
		game.player.gui.left.menu_teleporter.add({type="flow",name="blank_2",direction="horizontal"})
		game.player.gui.left.menu_teleporter.add({type="flow",name="row_3",direction="horizontal"})
		game.player.gui.left.menu_teleporter.row_3.add({type="label", name="label_menutele_3_1", caption="Select the target device: "})		
			game.player.gui.left.menu_teleporter.row_3.label_menutele_3_1.style.font="default-bold"
			
		game.player.gui.left.menu_teleporter.add({type="flow",name="row_4",direction="horizontal"})
		game.player.gui.left.menu_teleporter.row_4.add({type="label", name="label_menutele_4_1", caption="Name"})
		game.player.gui.left.menu_teleporter.row_4.add({type="label", name="label_menutele_4_2", caption="Device Energy"})
		game.player.gui.left.menu_teleporter.row_4.add({type="label", name="label_menutele_4_3", caption="Energy To TP"})
			game.player.gui.left.menu_teleporter.row_4.label_menutele_4_1.style.font="default-bold"
			game.player.gui.left.menu_teleporter.row_4.label_menutele_4_2.style.font="default-bold"
			game.player.gui.left.menu_teleporter.row_4.label_menutele_4_3.style.font="default-bold"
			game.player.gui.left.menu_teleporter.row_4.label_menutele_4_1.style.minimalwidth=130
			game.player.gui.left.menu_teleporter.row_4.label_menutele_4_2.style.minimalwidth=100
		
		
		game.player.gui.left.menu_teleporter.add({type="flow",name="devices_list",direction="horizontal"})
		
		
		game.player.gui.left.menu_teleporter.add({type="flow",name="blank_3",direction="horizontal"})
		game.player.gui.left.menu_teleporter.add({type="flow",name="poweringteleporter1",direction="horizontal"})
		game.player.gui.left.menu_teleporter.add({type="flow",name="poweringteleporter2",direction="horizontal"})
		
			--game.player.gui.left.menu_teleporter.devices_list.add({type="flow",name="list",direction="vertical"})
				--game.player.gui.left.menu_teleporter.devices_list.list.add({type="label", name="device1", caption="dev 1"})
				--game.player.gui.left.menu_teleporter.devices_list.list.add({type="label", name="device2", caption="dev 2"})

		
	--[[	game.player.gui.left.menu_teleporter.add({type="flow",name="blank_end",direction="horizontal"})
		game.player.gui.left.menu_teleporter.add({type="flow",name="rowtele_end",direction="horizontal"})
		game.player.gui.left.menu_teleporter.rowtele_end.add({type="button", name="teleport_exit", caption="EXIT - I'm going nowhere"})
		game.player.gui.left.menu_teleporter.rowtele_end.teleport_exit.style.font="default-bold"
		mw=200
		game.player.gui.left.menu_teleporter.rowtele_end.teleport_exit.style.maximalwidth=mw
		game.player.gui.left.menu_teleporter.rowtele_end.teleport_exit.style.minimalwidth=mw
	]]--	
	end	
		
end


function draw_direction_lines()
	if game.player.gui.left.menu_tele ~= nil and glob.showtelepath == true then	
		if game.tick%1==0 then		
			local pos_x1 = game.player.position.x
			local pos_y1 = game.player.position.y
			
			if #glob.teleins.connections[glob.menuteledevicenumber]	> 0 then	
				for j=1, #glob.teleins.connections[glob.menuteledevicenumber], 1 do
					local pos_x2 = glob.teleins.connections[glob.menuteledevicenumber][j].position.x
					local pos_y2 = glob.teleins.connections[glob.menuteledevicenumber][j].position.y
					local kollor = ""
					if j==1 then kollor = "tl_red" end
					if j==2 then kollor = "tl_green" end
					if j==3 then kollor = "tl_blue" end
					if j==4 then kollor = "tl_yellow" end
					draw_AB_line(pos_x1,pos_y1,pos_x2,pos_y2,kollor)
				end
				
				local pos_x2 = glob.teleins[glob.menuteledevicenumber].position.x
				local pos_y2 = glob.teleins[glob.menuteledevicenumber].position.y
				local kollor = "tl_white"
				
				draw_AB_line(pos_x1,pos_y1,pos_x2,pos_y2,kollor)
				
			end
			
		end --tick
	end --if menu created
	
end

function draw_AB_line(X1,Y1,X2,Y2,kolor)
local Dx=0
local Dy=0
local rysuj=true
local delay = 0.5
local pos_x = 0
local pos_y = 0
local r=0
local rmax=6
local r2min=3
local r2=0
local i=0
local gap = 5

Y2 = Y2 + 0.85

Dx = (X2-X1) -- obliczenie składowej poziomej
Dy = (Y2-Y1) -- obliczenie składowej pionowej

local var_A = (Y2-Y1)/(X2-X1)
local var_A_prim = 1/var_A

if Dx < 0 then-- jesli składowa pozioma jest ujemna 
  Dx = -Dx  -- zmieniamy znak składowej na dodatni
end

if Dy < 0 then -- jeśli składowa pionowa jest ujemna
  Dy = -Dy -- zmieniamy znak składowej na dodatki
end

	if (Dy <= Dx) then-- jeśli tak, to idziemy "po iksach"
		--game.player.print("X")
		--for i=0, 100, 1 do
		while r<rmax do
			i=i+1
			if i%gap == 0 then if rysuj == true then rysuj = false else rysuj = true end end --create space

			if X1-X2 <= 0 then
				pos_x = X1+(i/10)+delay
				pos_y = var_A*pos_x-var_A*X1+Y1
			else
				pos_x = X1-(i/10)-delay
				pos_y = var_A*pos_x-var_A*X1+Y1
			end

			r = math.sqrt((X1-pos_x)*(X1-pos_x)+(Y1-pos_y)*(Y1-pos_y))
			r2 = math.sqrt((X1-X2)*(X1-X2)+(Y1-Y2)*(Y1-Y2))
			if r2<=r2min then r=rmax+1 end
			if r2<rmax and r>=r2-0.25 then r=rmax+1 end
			--game.player.print("r2=" .. r2)
			
			if rysuj == true and r <= rmax then game.createentity{name = kolor, position= {pos_x, pos_y}, force=game.forces.player} end
			
		end
	 
	else -- w przeciwnym razie idziemy "po igrekach" 
		--game.player.print("Y")
		--for i=0, 100, 1 do
		while r<rmax do
			i=i+1
			if i%gap == 0 then if rysuj == true then rysuj = false else rysuj = true end end --create space
			
			if Y1-Y2 <= 0 then
				pos_y = Y1+(i/10)+delay
				pos_x = var_A_prim*pos_y-var_A_prim*Y1+X1
			else
				pos_y = Y1-(i/10)-delay
				pos_x = var_A_prim*pos_y-var_A_prim*Y1+X1
			end
					
			r = math.sqrt((X1-pos_x)*(X1-pos_x)+(Y1-pos_y)*(Y1-pos_y))
			r2 = math.sqrt((X1-X2)*(X1-X2)+(Y1-Y2)*(Y1-Y2))
			if r2<=r2min then r=rmax+1 end
			if r2<rmax and r>=r2-0.25 then r=rmax+1 end
			--game.player.print("r2=" .. r2)
				
			if rysuj == true and r <= rmax then game.createentity{name = kolor, position= {pos_x, pos_y}, force=game.forces.player} end
				
		end
	 
	end
 
 
end

function create_connect_gui()
local free_dev = false

		if game.player.gui.left.menu_tele_connect == nil then
			game.player.gui.left.add({type="frame", name="menu_tele_connect", caption="",direction="vertical"})
			
			local i = 1
			for k, teleins in ipairs(glob.teleins) do
				if teleins.valid then
			
					if glob.teleins.direction[k] == "" and k ~= glob.menuteledevicenumber then
						
						if glob.desiredname[k] ~= "" then 
							game.player.gui.left.menu_tele_connect.add({type="label",name="tele_connection_" .. i,direction="horizontal", caption=glob.desiredname[k] .. " at x=" .. glob.teleins[k].position.x .. "  y=" .. glob.teleins[k].position.y})
						else
							game.player.gui.left.menu_tele_connect.add({type="label",name="tele_connection_" .. i,direction="horizontal", caption=glob.teleins[k].name .. " at x=" .. glob.teleins[k].position.x .. "  y=" .. glob.teleins[k].position.y})
						end	
						
						i = i+1
						free_dev = true
						
					end
					
				end
			end
			
			if free_dev == false then game.player.gui.left.menu_tele_connect.add({type="label",name="tele_connection_last",direction="horizontal", caption="Lack of available devices"}) end
			game.player.gui.left.menu_tele_connect.add({type="button", name="teleguiconnectclose", caption="Close"})
				
		end	 --game.player.gui.left.menu_tele_connect == nil 
	
end

function compatibility_function_2()

	for k, teleins in ipairs(glob.teleins) do
		if teleins.valid then
			
			if glob.desiredname[k] == nil then glob.desiredname[k] = "" end
			
		end	
	end	

end


function aktualizuj_menu_teleinschest_1()

						if game.player.gui.left.menu_tele.rowtele_3.label_menutele_3_1 == nil then game.player.gui.left.menu_tele.rowtele_3.add({type="label", name="label_menutele_3_1", caption="No"}) end
						if game.player.gui.left.menu_tele.rowtele_3.label_menutele_3_2 == nil then game.player.gui.left.menu_tele.rowtele_3.add({type="label", name="label_menutele_3_2", caption="Name"}) end
						if game.player.gui.left.menu_tele.rowtele_3.label_menutele_3_3 == nil then game.player.gui.left.menu_tele.rowtele_3.add({type="label", name="label_menutele_3_3", caption="X"}) end
						if game.player.gui.left.menu_tele.rowtele_3.label_menutele_3_4 == nil then game.player.gui.left.menu_tele.rowtele_3.add({type="label", name="label_menutele_3_4", caption="Y"}) end
						if game.player.gui.left.menu_tele.rowtele_3.label_menutele_3_5 == nil then game.player.gui.left.menu_tele.rowtele_3.add({type="label", name="label_menutele_3_5", caption="Filter"}) end
							game.player.gui.left.menu_tele.rowtele_3.label_menutele_3_1.style.font="default-bold"
							game.player.gui.left.menu_tele.rowtele_3.label_menutele_3_2.style.font="default-bold"
							game.player.gui.left.menu_tele.rowtele_3.label_menutele_3_3.style.font="default-bold"
							game.player.gui.left.menu_tele.rowtele_3.label_menutele_3_4.style.font="default-bold"
							game.player.gui.left.menu_tele.rowtele_3.label_menutele_3_5.style.font="default-bold"
							game.player.gui.left.menu_tele.rowtele_3.label_menutele_3_1.style.minimalwidth=85
							game.player.gui.left.menu_tele.rowtele_3.label_menutele_3_2.style.minimalwidth=120
							game.player.gui.left.menu_tele.rowtele_3.label_menutele_3_3.style.minimalwidth=45
							game.player.gui.left.menu_tele.rowtele_3.label_menutele_3_4.style.minimalwidth=95
						
						
						if #glob.teleins.connections[glob.menuteledevicenumber] == 0 then 
							if game.player.gui.left.menu_tele.rowtele_4.subrow_1 ~= nil then game.player.gui.left.menu_tele.rowtele_4.subrow_1.destroy() end
							if game.player.gui.left.menu_tele.rowtele_4.subrow_2 ~= nil then game.player.gui.left.menu_tele.rowtele_4.subrow_2.destroy() end
							if game.player.gui.left.menu_tele.rowtele_4.subrow_3 ~= nil then game.player.gui.left.menu_tele.rowtele_4.subrow_3.destroy() end
							if game.player.gui.left.menu_tele.rowtele_4.subrow_4 ~= nil then game.player.gui.left.menu_tele.rowtele_4.subrow_4.destroy() end
						end
						if #glob.teleins.connections[glob.menuteledevicenumber] == 1 then 
							if game.player.gui.left.menu_tele.rowtele_4.subrow_2 ~= nil then game.player.gui.left.menu_tele.rowtele_4.subrow_2.destroy() end
							if game.player.gui.left.menu_tele.rowtele_4.subrow_3 ~= nil then game.player.gui.left.menu_tele.rowtele_4.subrow_3.destroy() end
							if game.player.gui.left.menu_tele.rowtele_4.subrow_4 ~= nil then game.player.gui.left.menu_tele.rowtele_4.subrow_4.destroy() end
							if game.player.gui.left.menu_tele.rowtele_3.label_menutele_3_5 ~= nil then game.player.gui.left.menu_tele.rowtele_3.label_menutele_3_5.destroy() end

						end				
						if #glob.teleins.connections[glob.menuteledevicenumber] == 2 then 
							if game.player.gui.left.menu_tele.rowtele_4.subrow_3 ~= nil then game.player.gui.left.menu_tele.rowtele_4.subrow_3.destroy() end
							if game.player.gui.left.menu_tele.rowtele_4.subrow_4 ~= nil then game.player.gui.left.menu_tele.rowtele_4.subrow_4.destroy() end
						end
						if #glob.teleins.connections[glob.menuteledevicenumber] == 3 then 
							if game.player.gui.left.menu_tele.rowtele_4.subrow_4 ~= nil then game.player.gui.left.menu_tele.rowtele_4.subrow_4.destroy() end
						end
						
						for i=1, #glob.teleins.connections[glob.menuteledevicenumber], 1 do
							
							local connected_dev_global_number = 0
							for k, teleins in ipairs(glob.teleins) do
								if teleins.valid then
										--szukaj nowo podlaczonego device i zmien jego parametry na output itd itp	
									if (glob.teleins.connections[glob.menuteledevicenumber][i].position.x == glob.teleins[k].position.x) and (glob.teleins.connections[glob.menuteledevicenumber][i].position.y == glob.teleins[k].position.y) then
										
										connected_dev_global_number = k
										
									end
									
								end	
							end
							
							
							if i==1 then
								if game.player.gui.left.menu_tele.rowtele_4.subrow_1 == nil then game.player.gui.left.menu_tele.rowtele_4.add({type="flow",name="subrow_1",direction="horizontal"}) end
								if game.player.gui.left.menu_tele.rowtele_4.subrow_1.label_menutele_1_1 == nil then game.player.gui.left.menu_tele.rowtele_4.subrow_1.add({type="label", name="label_menutele_" .. i .. "_1", caption=i, style="caption_label_style_tele_no"}) end
								if glob.desiredname[connected_dev_global_number] ~= "" then 
									if game.player.gui.left.menu_tele.rowtele_4.subrow_1.label_menutele_1_2 == nil then game.player.gui.left.menu_tele.rowtele_4.subrow_1.add({type="label", name="label_menutele_" .. i .. "_2", caption=glob.desiredname[connected_dev_global_number], style="caption_label_style_tele_name"}) end
								else
									if game.player.gui.left.menu_tele.rowtele_4.subrow_1.label_menutele_1_2 == nil then game.player.gui.left.menu_tele.rowtele_4.subrow_1.add({type="label", name="label_menutele_" .. i .. "_2", caption=glob.teleins.connections[glob.menuteledevicenumber][i].name, style="caption_label_style_tele_name"}) end
								end	
									if game.player.gui.left.menu_tele.rowtele_4.subrow_1.label_menutele_1_2 ~= nil and glob.showtelepath == true then game.player.gui.left.menu_tele.rowtele_4.subrow_1.label_menutele_1_2.style.fontcolor = red
									elseif game.player.gui.left.menu_tele.rowtele_4.subrow_1.label_menutele_1_2 ~= nil and glob.showtelepath == false and game.player.gui.left.menu_tele.rowtele_4.subrow_1.label_menutele_1_2.style.fontcolor ~= white then game.player.gui.left.menu_tele.rowtele_4.subrow_1.label_menutele_1_2.style.fontcolor = white end
								if game.player.gui.left.menu_tele.rowtele_4.subrow_1.label_menutele_1_3 == nil then game.player.gui.left.menu_tele.rowtele_4.subrow_1.add({type="label", name="label_menutele_" .. i .. "_3", caption=glob.teleins.connections[glob.menuteledevicenumber][i].position.x, style="caption_label_style_tele_x"}) end
								if game.player.gui.left.menu_tele.rowtele_4.subrow_1.label_menutele_1_4 == nil then game.player.gui.left.menu_tele.rowtele_4.subrow_1.add({type="label", name="label_menutele_" .. i .. "_4", caption=glob.teleins.connections[glob.menuteledevicenumber][i].position.y, style="caption_label_style_tele_y"}) end
								if #glob.teleins.connections[glob.menuteledevicenumber] > 1 then
									if game.player.gui.left.menu_tele.rowtele_4.subrow_1.label_menutele_1_5 == nil then game.player.gui.left.menu_tele.rowtele_4.subrow_1.add({type="textfield", name="label_menutele_" .. i .. "_5", style="tele_textfield_style"}) end	--, style="tele_textfield_style"
									if game.player.gui.left.menu_tele.rowtele_4.subrow_1.label_menutele_1_5.caption=="" then game.player.gui.left.menu_tele.rowtele_4.subrow_1.label_menutele_1_5.caption = glob.teleins.filter[glob.menuteledevicenumber][i] end
								end
								if #glob.teleins.connections[glob.menuteledevicenumber] == 1 then
									if game.player.gui.left.menu_tele.rowtele_4.subrow_1.label_menutele_1_5 ~= nil then game.player.gui.left.menu_tele.rowtele_4.subrow_1.label_menutele_1_5.destroy() end
								end
							end
							
							if i==2 then
								if game.player.gui.left.menu_tele.rowtele_4.subrow_2 == nil then game.player.gui.left.menu_tele.rowtele_4.add({type="flow",name="subrow_2",direction="horizontal"}) end
								if game.player.gui.left.menu_tele.rowtele_4.subrow_2.label_menutele_2_1 == nil then game.player.gui.left.menu_tele.rowtele_4.subrow_2.add({type="label", name="label_menutele_" .. i .. "_1", caption=i, style="caption_label_style_tele_no"}) end
								if glob.desiredname[connected_dev_global_number] ~= "" then 
									if game.player.gui.left.menu_tele.rowtele_4.subrow_2.label_menutele_2_2 == nil then game.player.gui.left.menu_tele.rowtele_4.subrow_2.add({type="label", name="label_menutele_" .. i .. "_2", caption=glob.desiredname[connected_dev_global_number], style="caption_label_style_tele_name"}) end
								else
									if game.player.gui.left.menu_tele.rowtele_4.subrow_2.label_menutele_2_2 == nil then game.player.gui.left.menu_tele.rowtele_4.subrow_2.add({type="label", name="label_menutele_" .. i .. "_2", caption=glob.teleins.connections[glob.menuteledevicenumber][i].name, style="caption_label_style_tele_name"}) end
								end		
									if game.player.gui.left.menu_tele.rowtele_4.subrow_2.label_menutele_2_2 ~= nil and glob.showtelepath == true then game.player.gui.left.menu_tele.rowtele_4.subrow_2.label_menutele_2_2.style.fontcolor = green
									elseif game.player.gui.left.menu_tele.rowtele_4.subrow_2.label_menutele_2_2 ~= nil and glob.showtelepath == false and game.player.gui.left.menu_tele.rowtele_4.subrow_2.label_menutele_2_2.style.fontcolor ~= white then game.player.gui.left.menu_tele.rowtele_4.subrow_2.label_menutele_2_2.style.fontcolor = white end
								if game.player.gui.left.menu_tele.rowtele_4.subrow_2.label_menutele_2_3 == nil then game.player.gui.left.menu_tele.rowtele_4.subrow_2.add({type="label", name="label_menutele_" .. i .. "_3", caption=glob.teleins.connections[glob.menuteledevicenumber][i].position.x, style="caption_label_style_tele_x"}) end
								if game.player.gui.left.menu_tele.rowtele_4.subrow_2.label_menutele_2_4 == nil then game.player.gui.left.menu_tele.rowtele_4.subrow_2.add({type="label", name="label_menutele_" .. i .. "_4", caption=glob.teleins.connections[glob.menuteledevicenumber][i].position.y, style="caption_label_style_tele_y"}) end
								if game.player.gui.left.menu_tele.rowtele_4.subrow_2.label_menutele_2_5 == nil then game.player.gui.left.menu_tele.rowtele_4.subrow_2.add({type="textfield", name="label_menutele_" .. i .. "_5", style="tele_textfield_style"}) end	--, style="number_textfield_style"
								if game.player.gui.left.menu_tele.rowtele_4.subrow_2.label_menutele_2_5.caption==""	then game.player.gui.left.menu_tele.rowtele_4.subrow_2.label_menutele_2_5.caption = glob.teleins.filter[glob.menuteledevicenumber][i] end
							end
							
							if i==3 then
								if game.player.gui.left.menu_tele.rowtele_4.subrow_3 == nil then game.player.gui.left.menu_tele.rowtele_4.add({type="flow",name="subrow_3",direction="horizontal"}) end
								if game.player.gui.left.menu_tele.rowtele_4.subrow_3.label_menutele_3_1 == nil then game.player.gui.left.menu_tele.rowtele_4.subrow_3.add({type="label", name="label_menutele_" .. i .. "_1", caption=i, style="caption_label_style_tele_no"}) end
								if glob.desiredname[connected_dev_global_number] ~= "" then 
									if game.player.gui.left.menu_tele.rowtele_4.subrow_3.label_menutele_3_2 == nil then game.player.gui.left.menu_tele.rowtele_4.subrow_3.add({type="label", name="label_menutele_" .. i .. "_2", caption=glob.desiredname[connected_dev_global_number], style="caption_label_style_tele_name"}) end
								else
									if game.player.gui.left.menu_tele.rowtele_4.subrow_3.label_menutele_3_2 == nil then game.player.gui.left.menu_tele.rowtele_4.subrow_3.add({type="label", name="label_menutele_" .. i .. "_2", caption=glob.teleins.connections[glob.menuteledevicenumber][i].name, style="caption_label_style_tele_name"}) end
								end	
									if game.player.gui.left.menu_tele.rowtele_4.subrow_3.label_menutele_3_2 ~= nil and glob.showtelepath == true then game.player.gui.left.menu_tele.rowtele_4.subrow_3.label_menutele_3_2.style.fontcolor = blue
									elseif game.player.gui.left.menu_tele.rowtele_4.subrow_3.label_menutele_3_2 ~= nil and glob.showtelepath == false and game.player.gui.left.menu_tele.rowtele_4.subrow_3.label_menutele_3_2.style.fontcolor ~= white then game.player.gui.left.menu_tele.rowtele_4.subrow_3.label_menutele_3_2.style.fontcolor = white end
								if game.player.gui.left.menu_tele.rowtele_4.subrow_3.label_menutele_3_3 == nil then game.player.gui.left.menu_tele.rowtele_4.subrow_3.add({type="label", name="label_menutele_" .. i .. "_3", caption=glob.teleins.connections[glob.menuteledevicenumber][i].position.x, style="caption_label_style_tele_x"}) end
								if game.player.gui.left.menu_tele.rowtele_4.subrow_3.label_menutele_3_4 == nil then game.player.gui.left.menu_tele.rowtele_4.subrow_3.add({type="label", name="label_menutele_" .. i .. "_4", caption=glob.teleins.connections[glob.menuteledevicenumber][i].position.y, style="caption_label_style_tele_y"}) end
								if game.player.gui.left.menu_tele.rowtele_4.subrow_3.label_menutele_3_5 == nil then game.player.gui.left.menu_tele.rowtele_4.subrow_3.add({type="textfield", name="label_menutele_" .. i .. "_5", style="tele_textfield_style"}) end	--, style="tele_textfield_style_bold"
								if game.player.gui.left.menu_tele.rowtele_4.subrow_3.label_menutele_3_5.caption==""	then game.player.gui.left.menu_tele.rowtele_4.subrow_3.label_menutele_3_5.caption = glob.teleins.filter[glob.menuteledevicenumber][i] end
							end
							
							if i==4 then
								if game.player.gui.left.menu_tele.rowtele_4.subrow_4 == nil then game.player.gui.left.menu_tele.rowtele_4.add({type="flow",name="subrow_4",direction="horizontal"}) end
								if game.player.gui.left.menu_tele.rowtele_4.subrow_4.label_menutele_4_1 == nil then game.player.gui.left.menu_tele.rowtele_4.subrow_4.add({type="label", name="label_menutele_" .. i .. "_1", caption=i, style="caption_label_style_tele_no"}) end
								if glob.desiredname[connected_dev_global_number] ~= "" then 
									if game.player.gui.left.menu_tele.rowtele_4.subrow_4.label_menutele_4_2 == nil then game.player.gui.left.menu_tele.rowtele_4.subrow_4.add({type="label", name="label_menutele_" .. i .. "_2", caption=glob.desiredname[connected_dev_global_number], style="caption_label_style_tele_name"}) end
								else
									if game.player.gui.left.menu_tele.rowtele_4.subrow_4.label_menutele_4_2 == nil then game.player.gui.left.menu_tele.rowtele_4.subrow_4.add({type="label", name="label_menutele_" .. i .. "_2", caption=glob.teleins.connections[glob.menuteledevicenumber][i].name, style="caption_label_style_tele_name"}) end
								end	
									if game.player.gui.left.menu_tele.rowtele_4.subrow_4.label_menutele_4_2 ~= nil and glob.showtelepath == true then game.player.gui.left.menu_tele.rowtele_4.subrow_4.label_menutele_4_2.style.fontcolor = yellow
									elseif game.player.gui.left.menu_tele.rowtele_4.subrow_4.label_menutele_4_2 ~= nil and glob.showtelepath == false and game.player.gui.left.menu_tele.rowtele_4.subrow_4.label_menutele_4_2.style.fontcolor ~= white then game.player.gui.left.menu_tele.rowtele_4.subrow_4.label_menutele_4_2.style.fontcolor = white end
								if game.player.gui.left.menu_tele.rowtele_4.subrow_4.label_menutele_4_3 == nil then game.player.gui.left.menu_tele.rowtele_4.subrow_4.add({type="label", name="label_menutele_" .. i .. "_3", caption=glob.teleins.connections[glob.menuteledevicenumber][i].position.x, style="caption_label_style_tele_x"}) end
								if game.player.gui.left.menu_tele.rowtele_4.subrow_4.label_menutele_4_4 == nil then game.player.gui.left.menu_tele.rowtele_4.subrow_4.add({type="label", name="label_menutele_" .. i .. "_4", caption=glob.teleins.connections[glob.menuteledevicenumber][i].position.y, style="caption_label_style_tele_y"}) end
								if game.player.gui.left.menu_tele.rowtele_4.subrow_4.label_menutele_4_5 == nil then game.player.gui.left.menu_tele.rowtele_4.subrow_4.add({type="textfield", name="label_menutele_" .. i .. "_5", style="tele_textfield_style"}) end	--, style="fs_textfield_style"
								if game.player.gui.left.menu_tele.rowtele_4.subrow_4.label_menutele_4_5.caption==""	then game.player.gui.left.menu_tele.rowtele_4.subrow_4.label_menutele_4_5.caption = glob.teleins.filter[glob.menuteledevicenumber][i] end
							end
							--game.player.gui.left.menu_tele.rowtele_4.label_menutele_2_1.caption = ("Connected to " .. #glob.teleins.connections[glob.menuteledevicenumber] .. "devices"  .. " name " .. glob.teleins.connections[glob.menuteledevicenumber][1].name)
							--game.player.gui.left.menu_tele.rowtele_4.label_menutele_2_2.caption = ("at position x: " .. glob.teleins.connections[glob.menuteledevicenumber][1].position.x .. " y: " .. glob.teleins.connections[glob.menuteledevicenumber][1].position.y)
						
						end	

end

function connect_to_tele_dev_1(XX,YY)

			local x1,y1,x2,y2,x3,y3,x4,y4,x5,y5,x6,y6
			local mark=0
			x1, y1 = string.find(glob.teleins[glob.menuteledevicenumber].name, "mk1")
			x2, y2 = string.find(glob.teleins[glob.menuteledevicenumber].name, "mk2")	
			x3, y3 = string.find(glob.teleins[glob.menuteledevicenumber].name, "mk3")		
			x4, y4 = string.find(glob.teleins[glob.menuteledevicenumber].name, "mk4")		
			x5, y5 = string.find(glob.teleins[glob.menuteledevicenumber].name, "chest")		
			x6, y6 = string.find(glob.teleins[glob.menuteledevicenumber].name, "inserter")

			if x1 ~= nil and y1 ~= nil then mark = 1 end
			if x2 ~= nil and y2 ~= nil then mark = 2 end
			if x3 ~= nil and y3 ~= nil then mark = 3 end
			if x4 ~= nil and y4 ~= nil then mark = 4 end
			
			--game.player.print("MARK " .. mark)
			--game.player.print(game.player.selected.name)
			--game.player.print("max conn " .. maxconnections[mark] .. "  current conn " .. #glob.teleins.connections[glob.menuteledevicenumber])
			
				if (x1 ~= nil or x2 ~= nil or x3 ~= nil or x4 ~= nil) and (x5 ~= nil or x6 ~= nil) then
				--if teleinsnames[i] == glob.teleins[glob.menuteledevicenumber].name then
					
					local podlaczylem = false
					
					if #glob.teleins.connections[glob.menuteledevicenumber] < maxconnections[mark] then
					
						for k, teleins in ipairs(glob.teleins) do
							if teleins.valid then
								if XX == glob.teleins[k].position.x and YY == glob.teleins[k].position.y then -- szukam ktory zostal zaznaczony
									
									if #glob.teleins.connections[k] < 1 then -- sprawdzam czy device ktory chce podłaczyc nie jest podlaczony gzies indziej... moglbym takze sprawdzac czy direction jest równa ""... nie output bo output bedzie jak cos jest podlaczone
										
																				
										local tele_distance = 0
										for dd = 1, #glob.teleins.connections[glob.menuteledevicenumber], 1 do -- zliczam dystense juz podlacznych
											local x1 = glob.teleins[glob.menuteledevicenumber].position.x
											local y1 = glob.teleins[glob.menuteledevicenumber].position.y
											local x2 = glob.teleins.connections[glob.menuteledevicenumber][dd].position.x
											local y2 = glob.teleins.connections[glob.menuteledevicenumber][dd].position.y
											local x = x2 - x1
											local y = y2 - y1
											local teledist = math.sqrt(x*x+y*y)
											tele_distance = tele_distance + teledist -- mozna dodac warunek na > od 256
										end
										
										local x1 = glob.teleins[glob.menuteledevicenumber].position.x -- dodaje dystans do nowopodlaczonego
										local y1 = glob.teleins[glob.menuteledevicenumber].position.y
										local x2 = XX
										local y2 = YY
										local x = x2 - x1
										local y = y2 - y1
										local teledist = math.sqrt(x*x+y*y)
										tele_distance = tele_distance + teledist										
										
										
										if math.floor(tele_distance) <= glob.maxteleentities then
										
											glob.teledistance[glob.menuteledevicenumber] = tele_distance
											
											--game.player.print("tele_distance " .. glob.teledistance[glob.menuteledevicenumber])
											--game.player.print("tele_distance " .. math.floor(glob.teledistance[glob.menuteledevicenumber]))
											
											glob.teleins.connections[glob.menuteledevicenumber][#glob.teleins.connections[glob.menuteledevicenumber]+1] = glob.teleins[k]
											glob.teleins.filter[glob.menuteledevicenumber][#glob.teleins.filter[glob.menuteledevicenumber]+1] = "none"

											
											--game.player.print("connected: " .. game.player.selected.name)
											glob.teleins.direction[glob.menuteledevicenumber] = "input"
											--game.player.gui.left.menu_tele.row_0.checkbox_0_1.state = true
											--game.player.gui.left.menu_tele.row_0.checkbox_0_2.state = false
											glob.teleins[glob.menuteledevicenumber].active = true
											
											podlaczylem = true
											
										else
											game.player.print("CAN NOT CONNECT TO THE DEVICE - DISTANCE GREATER THAN " .. glob.maxteleentities .. " - EXCEEDED BY " .. math.floor(tele_distance)-glob.maxteleentities)
											--game.player.print("CAN NOT CONNECT TO THE DEVICE - DISTANCE GREATER THAN " .. glob.maxteleentities)
										end


									
									end
									
								end
								
							end
						end
					

						if podlaczylem == true then
						podlaczylem = false
					--	for j=1, #glob.teleins.connections[glob.menuteledevicenumber], 1 do
						j = #glob.teleins.connections[glob.menuteledevicenumber]
							for k, teleins in ipairs(glob.teleins) do
								if teleins.valid then
										--szukaj nowo podlaczonego device i zmien jego parametry na output itd itp	
									if (glob.teleins.connections[glob.menuteledevicenumber][j].position.x == glob.teleins[k].position.x) and (glob.teleins.connections[glob.menuteledevicenumber][j].position.y == glob.teleins[k].position.y) then
										
										glob.teleins.connections[k][1] = glob.teleins[glob.menuteledevicenumber]
										glob.teleins.direction[k] = "output"	
										glob.teleins.filter[k][1] = "output none"
										
										--game.player.print("nowe k to: " .. k)
										
									end
									
								end	
							end
					--	end
						end
						
						

					end
				end
			
			
				if game.player.gui.left.menu_tele ~= nil then game.player.gui.left.menu_tele.rowtele_1.cto.caption="Connect to output" end
				if game.player.gui.left.menu_tele ~= nil then game.player.gui.left.menu_tele.rowtele_1.cto.style.fontcolor = {r = 1, g = 1, b = 1} end
				--game.player.print("tutaj wylacza 1")
				glob.conncetingdevice = false
				glob.timer2start = false
			
			--end
				
end

function compatibility_function_3()

	if glob.teleins.desiredname ~= nil then
		glob.teleins.desiredname = nil												
	end	

	if #glob.teleins ~= #glob.teledistance then
		
		glob.teledistance = nil -- kasuje tabele teledistance
		glob.teledistance = {} -- i tworzę ją na nowo
		
		--tutal licze na nowe wszystkie dystance dla kazdego teleinsertera  ustawionego jako input.
		
		
		for k, teleins in ipairs(glob.teleins) do
			if teleins.valid then
				if glob.teleins.direction[k] == "input" then
					local tele_distance = 0
					for dd = 1, #glob.teleins.connections[k], 1 do
						local x1 = glob.teleins[k].position.x
						local y1 = glob.teleins[k].position.y
						local x2 = glob.teleins.connections[k][dd].position.x
						local y2 = glob.teleins.connections[k][dd].position.y
						local x = x2 - x1
						local y = y2 - y1
						local teledist = math.sqrt(x*x+y*y)
						tele_distance = tele_distance + teledist -- mozna dodac warunek na > od 256				
					end
					glob.teledistance[k] = tele_distance
				else
					glob.teledistance[k] = 0
				end
			end	
		end	
			
	end

end