require "filternames"

local frame_tele = {}

for i = 1, #filter, 1 do -- loop from 1 to 4

	if filter[i] ~= "nl" then	
		local filenname = "__base__/graphics/icons/" .. filter[i] .. ".png"
		
		local filterx, filterbool
		filterx, filterbool = removeminusfromname(filter[i])
		while filterbool do
			filterx, filterbool = removeminusfromname(filterx)
		end
		
		frame_tele[filterx]=
		{
		  type="frame_style",
		  parent="frame_style",
		  graphical_set=
		  {
			type = "monolith",
			top_monolith_border = 1,
			right_monolith_border = 1,
			bottom_monolith_border = 1,
			left_monolith_border = 1,
			monolith_image =
			{
			  filename = filenname,
			  width = 32,
			  height = 32,
			  x = 0,
			  y = 0
			}
		  }
		}
		
		local tele_data_name = "frame_tele[" .. filterx .. "]"
		
		data.raw["gui-style"].default[tele_data_name] = frame_tele[filterx]
	end
	
end

